<?php session_start();		
								 
/* 
	reservierungsplan
	anzeige des kalenders
	author: christian osterrieder utilo.net
	
	dieser seite kann optional bergeben werden:
	Zimmer PK_ID ($zimmer_id)
	Jahr ($jahr)
	Monat ($monat)
	
	dieser seite muss bergeben werden:
	Unterkunft PK_ID ($unterkunft_id)
*/
		
	//variablen initialisieren:
	//unset($zimmer_id);
	$unterkunft_id = $_SESSION["unterkunft_id"];
	$sprache = $_SESSION["sprache"];
	if ($_GET["vonStart"] == true)
		$zimmer_id = $_SESSION["zimmer_id"];
	else
		$zimmer_id = $_POST["zimmer_id"];
	$monat = $_POST["monat"];
	$jahr = $_POST["jahr"];	
	$_SESSION["zimmer_id"] = $zimmer_id;
 
	//datenbank ffnen:
	include_once("./conf/rdbmsConfig.php");
	
	//funktions einbinden:
	include_once("./include/unterkunftFunctions.php");
	include_once("./include/zimmerFunctions.php");
	include_once("./include/datumFunctions.php");
	include_once("./include/reservierungFunctions.php");
	include_once("./include/uebersetzer.php");
	
	include_once("./rightHelper.php");	
	include_once("./leftHelper.php");
	
	//falls keine zimmer_id ausgewhlt wurde, das erste gefundene zimmer anzeigen:
	if (empty($zimmer_id) || $zimmer_id == "") {
		$zimmer_id = getFirstRoom($unterkunft_id,$link);
	}
	
	//falls kein jahr ausgewhlt wurde, das aktuelle jahr verwenden:
	if ($jahr == "" || empty($jahr)){
		$jahr = getTodayYear();
	}
	//ich brauche fr jahr einen integer:
	$jahr+=1;$jahr-=1;
	
	//falls kein monat ausgewhlt wurde, das aktuelle monat verwenden:
	if ($monat == "" || empty($monat)){
		$monat = parseMonthNumber(getTodayMonth());
	}
	//und frs monat einen integer
	$monat-=1;$monat+=1;
		
?>
<?php include_once("./templates/headerA.php"); ?>
<link href="./templates/stylesheets.php" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript" src="./rightJS.js">
</script>
</head>
<body class="backgroundColor">
<?php //kontrolle ob das monat noch gltig ist:
	if ($monat < parseMonthNumber(getTodayMonth()) && $jahr <= getTodayYear()){ ?>
		<table width="100%" border="0" class="tableColor">
		  <tr>
			<td class="standardSchriftBold"><?php echo(getUebersetzung("<p>Das gewhlte Monat ist bereits abgelaufen!</p><p>Bitte korrigieren Sie Ihre Anfrage!</p>",$sprache,$link)); ?></td>
		  </tr>
		</table>
<?php } //ende if monat zu klein
	else { ?>
<p class="ueberschrift"><? echo(getUnterkunftName($unterkunft_id,$link)); ?></p>
<table width="100%" border="0" class="tableColor">
  <tr>
    <td class="standardSchriftBold"><?php echo(getUebersetzung("Belegungsplan",$sprache,$link)); ?> <?php echo($jahr) ?>,
      <?php	$art = getUebersetzungUnterkunft(getZimmerArt($unterkunft_id,$zimmer_id,$link),$sprache,$unterkunft_id,$link);
			$nummer = getUebersetzungUnterkunft(getZimmerNr($unterkunft_id,$zimmer_id,$link),$sprache,$unterkunft_id,$link);
			//wenn zimmernummer und zimmerart gleich sind nur eines ausgeben!
			if ($art != $nummer){
				echo($art);	
			}								   									
            echo(" ").($nummer); ?></td>
  </tr>
</table>
<br>
<table width="100%" border="0" class="table">
  <tr>
    <td><?php
			//kontrolle ob monat nicht 0 oder 13:
			if ($monat > 12){
				$monat = 1;
				$jahr+=1;
			} 
			elseif ($monat < 1){
				$monat = 12;
				$jahr-=1;
			}
			//monat ausgeben:
			showMonth($monat,$jahr,$unterkunft_id,$zimmer_id,$link,$sprache);
			//monat erhhen fr nchste ausgabe:
			$monat+=1;
		?></td>
    <td><?php
			//kontrolle ob monat nicht 0 oder 13:
			if ($monat > 12){
				$monat = 1;
				$jahr+=1;
			} 
			elseif ($monat < 1){
				$monat = 12;
				$jahr-=1;
			}
			//monat ausgeben:
			showMonth($monat,$jahr,$unterkunft_id,$zimmer_id,$link,$sprache);
			//monat erhhen fr nchste ausgabe:
			$monat+=1;
		?></td>
  </tr>
  <tr>
    <td><?php
			//kontrolle ob monat nicht 0 oder 13:
			if ($monat > 12){
				$monat = 1;
				$jahr+=1;
			} 
			elseif ($monat < 1){
				$monat = 12;
				$jahr-=1;
			}
			//monat ausgeben:
			showMonth($monat,$jahr,$unterkunft_id,$zimmer_id,$link,$sprache);
			//monat erhhen fr nchste ausgabe:
			$monat+=1;
		?></td>
    <td><?php
			//kontrolle ob monat nicht 0 oder 13:
			if ($monat > 12){
				$monat = 1;
				$jahr+=1;
			} 
			elseif ($monat < 1){
				$monat = 12;
				$jahr-=1;
			}
			//monat ausgeben:
			showMonth($monat,$jahr,$unterkunft_id,$zimmer_id,$link,$sprache);			
		?></td>
  </tr>
  <tr valign="middle">
    <td><?php 
		//wenn jahr zu klein, button nicht anzeigen:		
		$mon = $monat-7;																
		 $jah = $jahr;
		 switch ($mon){
			case 0:
				$mon = 12;
				$jah = $jah-1;
				break;
			case -1:
				$mon = 11;
				$jah = $jah-1;
				break;
			case -2:
				$mon = 10;
				$jah = $jah-1;
				break;
			case -3:
				$mon = 9;
				$jah = $jah-1;
				break;
			case -4:
				$mon = 8;
				$jah = $jah-1;
				break;
			case -5:
				$mon = 7;
				$jah = $jah-1;
				break;
			case -6:
				$mon = 6;
				$jah = $jah-1;
				break;	
		 }
		 if ($jah < getTodayYear() || ($jahr <= getTodayYear() && ($monat-4) <= parseMonthNumber(getTodayMonth()))){
			$jah = getTodayYear();
		 }																 																
		 else {														 																			
		?>
      <form action="./right.php" method="post" name="monatZurueck" target="_self" id="monatZurueck">
        <div align="right">          
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo $zimmer_id ?>">
          <input name="monat" type="hidden" id="monat" value="<? echo($mon); ?>">
          <input name="jahr" type="hidden" id="jahr" value="<? echo($jah); ?>">
          <input name="zurueck" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" onClick="updateLeft(<?php echo(($mon).",".($jah).",".($zimmer_id)); ?>,0);" id="zurueck" 
	   value="<?php echo(getUebersetzung("zurck",$sprache,$link)); ?>">
        </div>
      </form>
      <?php }
	   ?></td>
    <td><?php
		//wenn jahr zu gross wird, button nicht mehr anzeigen:
		$mo = $monat+1;
		$ja = $jahr;
		//bis 4 jahre in die future anzeigen:
		if ($ja > (getTodayYear()+4)){
		 	$ja = (getTodayYear()+4);
			$mo = 8;
		}		
		else { 																													
		?>
      <form action="./right.php" method="post" name="monatWeiter" target="_self" id="monatWeiter">        
        <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo $zimmer_id ?>">
        <input name="monat" type="hidden" id="monat" value="<? 
		  														if ($mo > 12){
																	$mo = 1;
																	$ja +=1;
																} 
																echo($mo); 
																?>">
        <input name="jahr" type="hidden" id="jahr" value="<? echo ($ja); ?>">
        <input name="weiter" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" onClick="updateLeft(<?php echo(($mo).",".($ja)).",".($zimmer_id); ?>,1);" id="weiter" 
	   value="<?php echo(getUebersetzung("weiter",$sprache,$link)); ?>">
      </form>
      <?php } ?></td>
  </tr>
</table>
<?php } //ende else monat zu klein ?>
</body>
</html>
