<?php session_start();
//einstiegsseite wenn nicht direkt ein Zimmer ausgewaehlt wurde
//dem benutzer wird vorab die Mglichkeit geboten ein Zimmer auszuwhlen.
//uebergebene variable ist die sprache und unterkunft_id

//variablen initialisieren:
$keineSprache = $_POST["keineSprache"];
//wenn keineSprache = true ist dann wurde die suche aus left.php aufgerufen
//also daten aus der session holen:
if ($keineSprache == true){
	$sprache = $_SESSION["sprache"];
	$unterkunft_id = $_SESSION["unterkunft_id"];		
} //sonst aus get holen:
else{
	$unterkunft_id = $_GET["unterkunft_id"];		
	$sprache = $_GET["sprache"];
}

//datenbank ffnen:
include_once("../conf/rdbmsConfig.php");
//unterkunft-funktionen
include_once("../include/unterkunftFunctions.php");
include_once("../include/zimmerFunctions.php");
include_once("../include/datumFunctions.php");
//spezielle funktionen fuer suche:
include_once("./sucheFunctions.php");
include_once("../include/einstellungenFunctions.php");
//uebersetzer einfgen:
include_once("../include/uebersetzer.php");

//testdaten falls keine unterkunft uebergeben wurde:
if (!isset($unterkunft_id) || $unterkunft_id == ""){
   $unterkunft_id = "1";
 }
 
//wenn keine sprache bergeben, deutsch nehmen:	
if (!isset($sprache) || $sprache == ""){
	$sprache = "de";						
}

//sprache und unterkunft in session speichern:
$_SESSION["sprache"] = $sprache;
$_SESSION["unterkunft_id"] = $unterkunft_id;
		
//headerA einfgen:
include_once("../templates/headerA.php");
//stylesheets einfgen:
?>
<link href="../templates/stylesheets.php" rel="stylesheet" type="text/css">
<?php
//headerB einfgen:
include_once("../templates/headerB.php");
?>
<table border="0">
  <tr>
    <td><p class="standardSchrift">
        <?php 
	 $zimmerart = getUebersetzungUnterkunft(getZimmerArten($unterkunft_id,$link),$sprache,$unterkunft_id,$link);
	 echo(getUebersetzung("Sie knnen den Belegungsplan betrachten,<br>indem Sie eine Auswahl treffen und auf [Belegungsplan anzeigen] klicken...",$sprache,$link));
	 ?>
      </p></td>
  </tr>
</table>
<?php
	if (isset($keineSprache) && ($keineSprache == "true")){ ?>
<form action="../start.php" method="post" name="form1" target="_parent">
<?php } else{ ?>
<form action="../start.php" method="post" name="form1" target="_self">
  <?php } ?>
  <input name="keineSprache" type="hidden" value="true">
  <table border="0" class="table">
    <tr>
      <td class="standardSchriftBold"><?php	echo(getUebersetzung("Belegungsplan fr:",$sprache,$link)); ?></td>
      <td></td>
    </tr>
    <tr>
      <td><?php   //es sollte die liste auf keinen fall groesser als 10 werden:
			$zimmeranzahl = getAnzahlVorhandeneZimmer($unterkunft_id,$link);
		  		if ($zimmeranzahl > 10) $zimmeranzahl = 10; ?>
        <select name="zimmer_id" size="<?php echo($zimmeranzahl); ?>" class="standardSchrift">
          <?php 
			$res = getZimmer($unterkunft_id,$link);
			$zaehler = 0;
			while ($d = mysql_fetch_array($res)){ 
				$zaehler++;
				$temp =  $d["Zimmerart"]; echo(" j".$temp);
				$temp2 = $d["Zimmernr"];
				$temp3 = getUebersetzungUnterkunft($temp,$sprache,$unterkunft_id,$link);
				$temp4 = getUebersetzungUnterkunft($temp2,$sprache,$unterkunft_id,$link);
				$zimmerbezeichnung = ($temp3).(" ").($temp4);
			?>
          <option value="<?php echo($d["PK_ID"]); ?>"<?php if ($zaehler == 1) echo("selected");?>><?php echo($zimmerbezeichnung); ?></option>
          <?php }
		?>
        </select>
      </td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td><input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("Belegungsplan anzeigen",$sprache,$link)); ?>">
      </td>
      <td>&nbsp;</td>
    </tr>
  </table>
</form>
<table border="0">
  <tr>
    <td><span class="standardSchrift">
      <?php 
	echo(getUebersetzung("...oder eine automatische Suche durchfhren, <br>indem sie unterstehende Daten angeben und [Suche starten] klicken.",$sprache,$link)); 
			 ?>
      </span></td>
  </tr>
</table>
<form action="../suche/sucheDurchfuehren.php" method="post" name="suchen" target="_self" id="suchen">
  <table border="0" class="table">
    <tr>
      <td><p class="standardSchriftBold">
          <?php echo(getUebersetzung("Freie",$sprache,$link)." "); 
		  		echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link)); 
				echo(" ".getUebersetzung("suchen",$sprache,$link));
			?>
          <?php echo(getUebersetzung("von",$sprache,$link)); ?> : <br>
          <!--  heutigen tag selectiert anzeigen: -->
          <select name="vonTag" class="tableColor" id="vonTag">
            <?php
             for ($i=1; $i<=31; $i++) { ?>
            <option <?php if (getTodayDay() == $i) echo("selected"); ?>><?php echo $i; ?></option>
            <?php } ?>
          </select>
          <!--  heutiges monat selectiert anzeigen: -->
          <select name="vonMonat" class="tableColor" id="vonMonat" onChange="chkDays(0)">
            <option value="1" <?php if (getTodayMonth() == "Jnner") echo "selected"; ?>> <?php echo(getUebersetzung("Jnner",$sprache,$link)); ?> </option>
            <option value="2" <?php if (getTodayMonth() == "Februar") echo "selected"; ?>> <?php echo(getUebersetzung("Februar",$sprache,$link)); ?> </option>
            <option value="3" <?php if (getTodayMonth() == "Mrz") echo "selected"; ?>> <?php echo(getUebersetzung("Mrz",$sprache,$link)); ?> </option>
            <option value="4" <?php if (getTodayMonth() == "April") echo "selected"; ?>> <?php echo(getUebersetzung("April",$sprache,$link)); ?> </option>
            <option value="5" <?php if (getTodayMonth() == "Mai") echo "selected"; ?>> <?php echo(getUebersetzung("Mai",$sprache,$link)); ?> </option>
            <option value="6" <?php if (getTodayMonth() == "Juni") echo "selected"; ?>> <?php echo(getUebersetzung("Juni",$sprache,$link)); ?> </option>
            <option value="7" <?php if (getTodayMonth() == "Juli") echo "selected"; ?>> <?php echo(getUebersetzung("Juli",$sprache,$link)); ?> </option>
            <option value="8" <?php if (getTodayMonth() == "August") echo "selected"; ?>> <?php echo(getUebersetzung("August",$sprache,$link)); ?> </option>
            <option value="9" <?php if (getTodayMonth() == "September") echo "selected"; ?>> <?php echo(getUebersetzung("September",$sprache,$link)); ?> </option>
            <option value="10" <?php if (getTodayMonth() == "Oktober") echo "selected"; ?>> <?php echo(getUebersetzung("Oktober",$sprache,$link)); ?> </option>
            <option value="11" <?php if (getTodayMonth() == "November") echo "selected"; ?>> <?php echo(getUebersetzung("November",$sprache,$link)); ?> </option>
            <option value="12" <?php if (getTodayMonth() == "Dezember") echo "selected"; ?>> <?php echo(getUebersetzung("Dezember",$sprache,$link)); ?> </option>
          </select>
          <!--  heutiges jahr selectiert anzeigen: -->
          <select name="vonJahr" class="tableColor" id="vonJahr" onChange="chkDays(0)">
            <?php				
				for ($l=getTodayYear(); $l < (getTodayYear()+4); $l++){ ?>
            <option value="<?php echo $l ?>" <?php if ($l == $jahr) echo("selected"); ?>><?php echo $l ?></option>
            <?php } ?>
          </select>
          <br>
          <span class="standardSchriftBold"> <?php echo(getUebersetzung("bis",$sprache,$link)); ?> :</span><br>
          <select name="bisTag" class="tableColor" id="bisTag">
            <!--  heutigen tag selectiert anzeigen: -->
            <?php	
             for ($i=1; $i<=31; $i++) { ?>
            <option <?php if (getTodayDay() == $i) echo "selected"; ?>><?php echo $i; ?></option>
            <?php } ?>
          </select>
          <!--  heutiges monat selectiert anzeigen: -->
          <select name="bisMonat" class="tableColor" id="bisMonat" onChange="chkDays(1)">
            <option value="1" <?php if (getTodayMonth() == "Jnner") echo "selected"; ?>> <?php echo(getUebersetzung("Jnner",$sprache,$link)); ?> </option>
            <option value="2" <?php if (getTodayMonth() == "Februar") echo "selected"; ?>> <?php echo(getUebersetzung("Februar",$sprache,$link)); ?> </option>
            <option value="3" <?php if (getTodayMonth() == "Mrz") echo "selected"; ?>> <?php echo(getUebersetzung("Mrz",$sprache,$link)); ?> </option>
            <option value="4" <?php if (getTodayMonth() == "April") echo "selected"; ?>> <?php echo(getUebersetzung("April",$sprache,$link)); ?> </option>
            <option value="5" <?php if (getTodayMonth() == "Mai") echo "selected"; ?>> <?php echo(getUebersetzung("Mai",$sprache,$link)); ?> </option>
            <option value="6" <?php if (getTodayMonth() == "Juni") echo "selected"; ?>> <?php echo(getUebersetzung("Juni",$sprache,$link)); ?> </option>
            <option value="7" <?php if (getTodayMonth() == "Juli") echo "selected"; ?>> <?php echo(getUebersetzung("Juli",$sprache,$link)); ?> </option>
            <option value="8" <?php if (getTodayMonth() == "August") echo "selected"; ?>> <?php echo(getUebersetzung("August",$sprache,$link)); ?> </option>
            <option value="9" <?php if (getTodayMonth() == "September") echo "selected"; ?>> <?php echo(getUebersetzung("September",$sprache,$link)); ?> </option>
            <option value="10" <?php if (getTodayMonth() == "Oktober") echo "selected"; ?>> <?php echo(getUebersetzung("Oktober",$sprache,$link)); ?> </option>
            <option value="11" <?php if (getTodayMonth() == "November") echo "selected"; ?>> <?php echo(getUebersetzung("November",$sprache,$link)); ?> </option>
            <option value="12" <?php if (getTodayMonth() == "Dezember") echo "selected"; ?>> <?php echo(getUebersetzung("Dezember",$sprache,$link)); ?> </option>
          </select>
          <!--  heutiges jahr selectiert anzeigen: -->
          <select name="bisJahr" class="tableColor" id="bisJahr" onChange="chkDays(1)">
            <?php				
				for ($l=getTodayYear(); $l < (getTodayYear()+4); $l++){ ?>
            <option value="<?php echo $l ?>" <?php if ($l == $jahr) echo("selected"); ?>><?php echo($l); ?></option>
            <?php } ?>
          </select>
        </p></td>
    </tr>
    <?php
  //wenn die anzahl der zimmer mehr als 1 ist, nur dann anzeigen:
  if ($zimmeranzahl > 1) {
  ?>
    <tr>
      <td class="standardSchriftBold"><?php echo(getUebersetzung("Anzahl der ",$sprache,$link).getUebersetzungUnterkunft(getZimmerart_MZ($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
   ?></td>
      <td><select name="anzahlZimmer" class="standardSchrift">
          <?php 
	for ($i = 1; $i <= $zimmeranzahl; $i++){
	?>
          <option value="<?php echo($i); ?>"><?php echo($i); ?></option>
          <?php
	}
	?>
        </select></td>
    </tr>
    <?php
  }
  else{
  ?>
    <input name="anzahlZimmer" type="hidden" value="1">
    <?php
  }
  $erwachseneAnzahl = getAnzahlErwachsene($unterkunft_id,$link);
  if ($erwachseneAnzahl > 0){
  ?>
    <tr>
      <td class="standardSchriftBold"><?php echo(getUebersetzung("Anzahl Erwachsene ",$sprache,$link)); ?></td>
      <td><select name="anzahlErwachsene" class="standardSchrift">
          <?php
		for ($i = 1; $i <= $erwachseneAnzahl; $i++){
		?>
          <option value="<?php echo($i); ?>" <?php if ($i == 2) echo("selected"); ?>><?php echo($i); ?></option>
          <?php
		}
		?>
        </select></td>
    </tr>
    <?php
  }
    else{
  ?>
    <input name="anzahlErwachsene" type="hidden" value="-1">
    <?php
  }
  $kinderAnzahl = getAnzahlKinder($unterkunft_id,$link);
  if ($kinderAnzahl > 0){
  ?>
    <tr>
	  <td class="standardSchriftBold"><?php echo(getUebersetzung("Anzahl Kinder unter",$sprache,$link)); ?> <?php echo(getKindesalter($unterkunft_id,$link)); ?> <?php echo(getUebersetzung("Jahren.",$sprache,$link)); ?></td>
      <td><select name="anzahlKinder" class="standardSchrift">
          <?php
		for ($i = 1; $i <= $kinderAnzahl; $i++){
		?>
          <option value="<?php echo($i); ?>" <?php if ($i == 2) echo("selected"); ?>><?php echo($i); ?></option>
          <?php
		}
		?>
        </select></td>
    </tr>
    <?php
  }
    else{
  ?>
    <input name="anzahlKinder" type="hidden" value="-1">
    <?php
  }
  ?>
    <tr>
      <td class="standardSchriftBold"><input name="sucheStarten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="sucheStarten" value="<?php echo(getUebersetzung("Suche starten...",$sprache,$link)); ?>"></td>
      <td>&nbsp;</td>
    </tr>
  </table>
</form>
	<?php 
	if (isset($keineSprache) && ($keineSprache == "true")){
		//es soll die sprachauswahl nicht angezeigt werden, wenn
		//keineSprache == True uebergeben wird
	}
	else{
	?>
		<table border="0" align="left" cellpadding="0" cellspacing="0" class="tableColor">
		<?php 
			//laender ausgeben die in den einstellungen definiert wurden:
			if (isEnglishShown($unterkunft_id,$link) && $sprache != "en"){
		?>
		  <tr>
		    <td width="1"><img src="../fahneEN.gif" width="25" height="16"></td>
		    <td><div align="left"> <a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=en" target="_self" class="standardSchrift">&nbsp;&nbsp;English</a></div></td>
				  </tr>
				<?php
							}
							if (isFrenchShown($unterkunft_id,$link) && $sprache != "fr"){
				?>
		  <tr>
		    <td width="1"><img src="../fahneFR.gif" width="25" height="16"></td>
		    <td><div align="left"><a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=fr" target="_self" class="standardSchrift">&nbsp;&nbsp;Francais</a></div></td>
					  </tr>
			<?php
							}
							if (isGermanShown($unterkunft_id,$link) && $sprache != "de"){
				?>
		  <tr>
		    <td width="1"><img src="../fahneDE.gif" width="25" height="16"></td>
		    <td><div align="left"><a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=de" target="_self" class="standardSchrift">&nbsp;&nbsp;Deutsch</a></div></td>
					  </tr>
					<?php
						}
						if (isItalianShown($unterkunft_id,$link) && $sprache != "it"){
				?>
		  <tr>
		    <td width="1"><img src="../fahneIT.gif" width="25" height="16"></td>
		    <td><div align="left"><a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=it" target="_self" class="standardSchrift">&nbsp;&nbsp;Italia</a></div></td>
					  </tr>
				  <?php
						}
						if (isEspaniaShown($unterkunft_id,$link) && $sprache != "sp"){
				?>
		  <tr>
		    <td width="1"><img src="../fahneSP.gif" width="25" height="16"></td>
			    <td><div align="left"><a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=sp" target="_self" class="standardSchrift">&nbsp;&nbsp;Espaa</a></div></td>
				  </tr>
				  <?php
						}
						if (isEstoniaShown($unterkunft_id,$link) && $sprache != "es"){
				?>
		  <tr>
		    <td width="1"><img src="../fahneES.gif" width="25" height="16"></td>
			    <td><div align="left"><a href="./index.php?unterkunft_id=<?php echo($unterkunft_id); ?>&sprache=es" target="_self" class="standardSchrift">&nbsp;&nbsp;Estnia</a></div></td>
				  </tr>
				  <?php
							} //ende estonia
							?>
				</table>
  <?php
} //ende sprache soll angezeigt werden
?>
</body>
</html>