<? session_start();

/*   
			reservierungsplan
			eine angefragte reservierung besttigen - als belegt im plan eintragen
			author: christian osterrieder utilo.net						
			
			dieser seite muss bergeben werden:
			Benutzer PK_ID $benutzer_id
			Reservierung PK_ID $reservierungs_id
			Unterkunft PK_ID $unterkunft_id
*/

//variablen:
$unterkunft_id = $_SESSION["unterkunft_id"];
$passwort = $_SESSION["passwort"];
$benutzername = $_SESSION["benutzername"];
$reservierungs_id = $_POST["reservierungs_id"];
$antwort = $_POST["antwort"];
$art = $_POST["art"];
$sprache = $_SESSION["sprache"];

	//datenbank ffnen:
	include_once("../../conf/rdbmsConfig.php");
	
	//andere funktionen importieren:
	include_once("../../include/benutzerFunctions.php");
	include_once("../../include/unterkunftFunctions.php");
	include_once("../../include/gastFunctions.php");
	include_once("../../include/reservierungFunctions.php");
	include_once("../../include/autoResponseFunctions.php");
	include_once("../../include/uebersetzer.php");
	include_once("../templates/components.php"); 
	//uebersetzer einfuegen:
	include_once("../../include/uebersetzer.php");
			
?>
<?php include_once("../templates/headerA.php"); ?>
<link href="../../templates/stylesheets.php" rel="stylesheet" type="text/css">
<?php include_once("../templates/headerB.php"); ?>
<?php include_once("../templates/bodyA.php"); ?>
<?php //passwortprfung:	
	if (checkPass($benutzername,$passwort,$unterkunft_id,$link)){
?>
<p class="standardSchriftBold"><?php echo(getUebersetzung("Reservierungsanfrage besttigen",$sprache,$link)); ?></p>
<?php
	//belegung eintragen:
	//funktion legt eine neue reservierung an:
		
	$vonDatum = getDatumVon($reservierungs_id,$link);
	$bisDatum = getDatumBis($reservierungs_id,$link);
	$zimmer_id = getZimmerID($reservierungs_id,$link);
	$gast_id = getGastID($reservierungs_id,$link);
	$anzahlErwachsene = getErwachsene($reservierungs_id,$link);
	$anzahlKinder = getKinder($reservierungs_id,$link);
	
	insertReservationWithDate($zimmer_id,$gast_id,$vonDatum,$bisDatum,2,$anzahlErwachsene,$anzahlKinder,$link);
		
	//soll der gast automatisch informiert werden?
	if ($antwort == "true"){
		 
		 $speech = getGuestSprache($gast_id,$link);
		 $gastName = getGuestNachname($gast_id,$link);
		 $an = getGuestEmail($gast_id,$link);
		 $von = getUnterkunftEmail($unterkunft_id,$link);		
		 $subject = getUebersetzungUnterkunft(getMessageSubject($unterkunft_id,$art,$link),$speech,$unterkunft_id,$link);
		 $anr = getUebersetzungUnterkunft(getMessageAnrede($unterkunft_id,$art,$link),$speech,$unterkunft_id,$link);
		 $message = $anr.(" ").($gastName).("!\n\n");
		 $bod = getUebersetzungUnterkunft(getMessageBody($unterkunft_id,$art,$link),$speech,$unterkunft_id,$link);
		 $message .= $bod.("\n\n");
		 $unt = getUebersetzungUnterkunft(getMessageUnterschrift($unterkunft_id,$art,$link),$speech,$unterkunft_id,$link);
		 $message .= $unt;
		
	}
		
?>
<table border="0" cellpadding="0" cellspacing="3" class="table">
  <tr>
    <td><p class="frei"><?php echo(getUebersetzung("Die Reservierungsanfrage",$sprache,$link)); ?>
        <?php $gast_id = getGastID($reservierungs_id,$link); echo(getGuestVorname($gast_id,$link)." ".getGuestNachname($gast_id,$link)); ?>
        <br>
        <?php echo(getUebersetzung("von",$sprache,$link)); ?> <?php echo($vonDatum); ?><br>
        <?php echo(getUebersetzung("bis",$sprache,$link)); ?> <?php echo($bisDatum); ?><br>
        <?php echo(getUebersetzung("wurde erfolgreich als",$sprache,$link)); ?> <span class="belegt">&quot;<?php echo(getUebersetzung("belegt",$sprache,$link)); ?>&quot;</span> <?php echo(getUebersetzung("in den Reservierungsplan aufgenommen",$sprache,$link)); ?>.</p>
      <?php if ($antwort == "true"){ ?>
      <p><?php echo(getUebersetzung("Die folgende Mitteilung wird per E-Mail an Ihren Gast gesendet. Sie haben hier die Mglichkeiten noch Korrekturen vorzunehmen",$sprache,$link)); ?>:</p>
	<form action="./bestaetigungSenden.php" method="post" name="bestaetigungSenden" target="_self">
	<input name="an" type="hidden" value="<?php echo($an); ?>">
	<input name="von" type="hidden" value="<?php echo($von); ?>">
	<table  border="0" cellpadding="0" cellspacing="3" class="table">
		  <tr valign="top">
			<td><?php echo(getUebersetzung("Betreff",$sprache,$link)); ?></td>
			<td><input name="subject" type="text" class="table" id="subject_de" value="<?php echo($subject); ?>" size="100"></td>
		  </tr>
			<tr valign="top">
			<td><?php echo(getUebersetzung("Text",$sprache,$link)); ?>
			</td>
			<td><textarea name="message" cols="100" rows="10" class="table" id="text_de"><?php echo($message); ?></textarea></td>
		  </tr>
	</table>
<br>
<?php 
	  //-----buttons um zurck zum menue zu gelangen: 
  	  showSubmitButton(getUebersetzung("absenden",$sprache,$link));
	  } //ende if
?>
</p>
</form>
<br>
<?php 
	  showSubmitButtonWithForm("./index.php",getUebersetzung("zurck",$sprache,$link));
?>
<br>
<?php 
	  showSubmitButtonWithForm("../inhalt.php",getUebersetzung("Hauptmen",$sprache,$link));
?>	
		      
    </td>
  </tr>
</table>
<?php 
	} //ende if passwortprfung
	else {
		echo(getUebersetzung("Bitte Browser schlieen und neu anmelden - Passwortprfung fehlgeschlagen!",$sprache,$link));
	}
?>
</body>
</html>
