<?php session_start();

$unterkunft_id = $_SESSION["unterkunft_id"];
$passwort = $_SESSION["passwort"];
$benutzername = $_SESSION["benutzername"]; 
$status = $_POST["status"];
$vonTag = $_POST["vonTag"];
$bisTag = $_POST["bisTag"];
$vonMonat = $_POST["vonMonat"];
$bisMonat = $_POST["bisMonat"];
$vonJahr = $_POST["vonJahr"];
$bisJahr = $_POST["bisJahr"];
$zimmer_id = $_POST["zimmer_id"];
$sprache = $_SESSION["sprache"];

	//datenbank ffnen:
	include_once("../../../conf/rdbmsConfig.php");
	//Unterkunft-funktionen einbeziehen:
	include_once("../../../include/unterkunftFunctions.php");
	include_once("../../../include/benutzerFunctions.php");
	include_once("../../../include/reservierungFunctions.php");
	//datum-funktionen einbeziehen:
	include_once("../../../include/datumFunctions.php");
    include_once("../../../include/uebersetzer.php");

//passwortprfung:	
if (checkPass($benutzername,$passwort,$unterkunft_id,$link)){ 
	
/*   
	reservierungsplan
	daten des gastes aufnehmen
	author: christian osterrieder utilo.net					
	
	dieser seite muss bergeben werden:
	Unterkunft PK_ID ($unterkunft_id)
	Zimmer PK_ID ($zimmer_id)
	Datum: $vonTag,$vonMonat,$vonJahr
		   $bisTag,$bisMonat,$bisJahr			
	
	die seite verwendet anfrage/send.php um das ausgefllte
	formular zu versenden
*/ 	 
	
	//alle reservierungen im angegebenen zeitraum entfernen,
	//auch jene die diesen zeitraum "berschneiden":
	$vonDatum = parseDateFormular($vonTag,$vonMonat,$vonJahr);
	$bisDatum = parseDateFormular($bisTag,$bisMonat,$bisJahr);
	
	//zuerst alle eintraege in diesem zeitraum lschen:
	deleteReservationWithDate($zimmer_id,$vonDatum,$bisDatum,$link);
				
 ?>
<?php include_once("../../templates/headerA.php"); ?>
<link href="../../../templates/stylesheets.php" rel="stylesheet" type="text/css">
<?php include_once("../../templates/headerB.php"); ?>
<?php include_once("../../templates/bodyA.php"); ?>

<form action="../ansichtWaehlen.php" method="post" name="adresseForm" target="_self" id="adresseForm" >
  <table  border="0" cellpadding="0" cellspacing="3" class="table">
    <tr>
      <td><p>         
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<?php echo($zimmer_id); ?>">
          <input name="monat" type="hidden" id="monat" value="<?php echo($vonMonat); ?>"> 
          <input name="jahr" type="hidden" id="jahr" value="<?php echo($vonJahr) ?>">
          <span class="frei"><?php echo(getUebersetzung("Die Reservierungen/Belegungen im geforderten Zeitraum wurden erfolgreich entfernt",$sprache,$link)); ?>!</span></p>
        <table border="0" cellpadding="0" cellspacing="0" class="table">
          <tr> 
            <td><?php echo(getUebersetzung("eingetragenes Datum",$sprache,$link)); ?>:</td>
            <td><?php echo(getUebersetzung("von",$sprache,$link)); ?> <?php echo($vonTag.".".$vonMonat.".".$vonJahr); ?> <?php echo(getUebersetzung("bis",$sprache,$link)); ?> <?php echo($bisTag.".".$bisMonat.".".$bisJahr);?> 
            </td>
          </tr>
          <tr> 
            <td><?php echo(getUebersetzung("Status",$sprache,$link)); ?>:</td>
            <td><span class="<?php 
					//status = 0: frei
					//status = 1: reserviert
					//status = 2: belegt
					if ($status == 0)
						echo("frei");
					elseif ($status == 1)
						echo("reserviert");
					elseif ($status == 2)
						echo("belegt");
				?>"> 
              <?php if ($status == 0)
		  				echo(getUebersetzung("frei",$sprache,$link));
					elseif ($status == 1)
						echo(getUebersetzung("reserviert",$sprache,$link));
					else 
						echo(getUebersetzung("belegt",$sprache,$link));
				?>
              </span></td>
          </tr>
        </table>
        
      </td>
    </tr>
  </table>
  <br>
  <table  border="0" cellspacing="3" cellpadding="0" class="table">
    <tr>
      <td><input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("zurck",$sprache,$link)); ?>"> </td>
    </tr>
  </table>
 
  </form> 
</body>
</html>
<?php } //ende passwortprfung 
else {
	echo(getUebersetzung("Bitte Browser schlieen und neu anmelden - Passwortprfung fehlgeschlagen!",$sprache,$link));
	}
?>