<?php

function printResAdmin($zimmer_id,$i,$month,$year,$link){
		
	//array mit status holen
	$status = getStatus($zimmer_id,$i,$month,$year,$link);
	//prfen ob es mehr als einen status-eintrag gibt,
	//falls ja muss es sich an diesem tag um einen 
	//urlauberwechsel handeln:
	if (isset($status) && (sizeof($status)>1)){
		//an diesem tag ist ein urlauberwechsel:				
		?>
			<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
  				<tr>
    				<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="40"><? echo($i."."); ?></td>
    				<td class="<?php echo(parseStatus($status[1])); ?>" align="right" width="40"><? echo($month."."); ?></td>
  				</tr>
			</table>
		<?php				
	} //ende if "an diesem tag ist urlauberwechsel"
	else {
		//schauen ob der letzte tag halb-frei ist,
		//dazu erstmal den folgetag erzeugen:
		$nTag = $i+1;$nMonat = $month;$nJahr = $year;
		//anzahl der tage in diesem monat feststellen:
		$anzahlTage = getNumberOfDays($month,$year);
		//tage prfen:
		if ($nTag > $anzahlTage){
			$nTag = 1;
			$nMonat=$month+1;
		} //ende if tag zu gross
		if ($nMonat>12){
			$nMonat=1;
			$nJahr=$year+1;
		} //ende if monat zu gross
		//status-array fr den folge-tag holen:
		$nStatus = getStatus($zimmer_id,$nTag,$nMonat,$nJahr,$link);
		//gibt es am folgetag einen eintrag?
		if (!(isset($nStatus)) && isset($status)){
			//am nchsten tag ist es frei:				
			?>
				<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
  					<tr>
    					<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="40"><? echo($i."."); ?></td>
    					<td class="<?php echo("frei"); ?>" align="right" width="40"><? echo($month."."); ?></td>
  					</tr>
				</table>
			<?php
		} //ende if nchster tag frei
		else {				
			//schauen ob der tag vorher frei ist:
			//tag vorher erzeugen:
			$vTag = $i-1;$vMonat = $month;$vJahr = $year;
			//tag vorher berprfen:
			if ($vTag < 1) {
				$vMonat= $month - 1;
				if ($vMonat < 1) {
					$vMonat = 12;
					$vJahr = $year-1;
				} //ende if monat zu klein
				$vTag = getNumberOfDays($vMonat,$vJahr);
			} //ende if tag zu klein
			//status-array des vor-tages holeN:					
			$vStatus = getStatus($zimmer_id,$vTag,$vMonat,$vJahr,$link);			
			if (!(isset($vStatus)) && isset($status)){
				//am vorherigen tag ist es frei:				
				?>
					<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
  						<tr>
    						<td class="<?php echo("frei"); ?>" align="right" width="40"><? echo($i."."); ?></td>
    						<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="40"><? echo($month."."); ?></td>
  						</tr>
					</table>
			 <?php
			} //ende if tag vorher frei
			else { //tag ausgeben:
				echo($i.".".$month.".");
			} //ende else tag ausgeben
		} //ende else schauen ob tag vorher frei						
		
	} //ende else
	
}//ende printResAdmin

//---------------------------------------------------------------
//funktion zum anzeigen eines kalendermonats:
function showMonth($month,$year,$unterkunft_id,$zimmer_id,$sprache,$link){
	
		//anzahl der tage des monats:
		$anzahlTage = getNumberOfDays($month,$year);
		
		?>
		<table width="100%" border="0" cellspacing="1" cellpadding="0" class="tableColor">
		<?php 
		for ($i = 1; $i <= $anzahlTage; $i++) { 
			$res_id = getReservierungID($zimmer_id,$i,$month,$year,$link);
			$statusString = getStatusString($zimmer_id,$i,$month,$year,$link);
			$gast_id = -1;
			?>
			<form action="./gastInfo/index.php" method="post" name="form<?php echo($i); ?>" target="_self">
			<tr class="tableColor"> 
				<!-- wochentag anzeigen -->
				<td class="tableColor" width="1" valign="middle">
					<?php 
						echo(getUebersetzung(getDayName($i,$month,$year),$sprache,$link));																																		
		 			?></td>
				<!-- datum anzeigen -->
				<td class="<? echo($statusString); ?>" width="80" valign="middle"><?php printResAdmin($zimmer_id,$i,$month,$year,$link); ?></td>				
				<!-- gast anzeigen -->
				<td class="table" valign="middle"><?php if ($statusString != "frei") {
						//gast-id auslesen:
						$gast_id = getReservierungGastID($zimmer_id,$i,$month,$year,$link);
						?> <input name="gast_id" type="hidden" value="<?php echo($gast_id); ?>">
						  
  						   <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo($zimmer_id); ?>">
  						   <input name="jahr" type="hidden" id="jahr" value="<? echo($year); ?>">
  						   <input name="monat" type="hidden" id="monat" value="<? echo($month); ?>">
						 <?php
						//gast-namen ausgeben:
						echo(getGuestNachname($gast_id,$link));echo(", ");echo(getGuestOrt($gast_id,$link));echo(", EW ".getErwachsene($res_id,$link).", K ".getKinder($res_id,$link));					
					} //ende if nicht frei 
					else {
						echo("&nbsp;");
					}
					?>
					</td>
				<td class="table" width="1" valign="middle">
				<!-- button anzeigen -->
					<?php 
						if (!(empty($gast_id)) && $gast_id != -1) { ?>
					<input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   				onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("Gste-Info",$sprache,$link)); ?>">
						<?php } //ende if 						
						else {
							echo("&nbsp;");					
						}?>   
				</td>				
			</tr>
			</form>
			<?php } //ende for
		?>		
		</table>	
<?php 
	
}//ende funktion  
?>
