<?php session_start();

/*   
			rezervi
			daten des gastes aufnehmen
			author: christian osterrieder utilo.net					
			
			dieser seite muss bergeben werden:
			Unterkunft PK_ID ($unterkunft_id)
			Zimmer PK_ID ($zimmer_id)
			Datum: $vonTag,$vonMonat,$vonJahr
				   $bisTag,$bisMonat,$bisJahr			
			
			die seite verwendet anfrage/send.php um das ausgefllte
			formular zu versenden
*/ 	 
	
	//variablen initialisieren:
	$unterkunft_id = $_SESSION["unterkunft_id"];
	$sprache = $_SESSION["sprache"];
	//von left.php und suche/sucheDurchfuehren.php:
	$vonTag = $_POST["vonTag"];
	$vonMonat = $_POST["vonMonat"];
	$vonJahr = $_POST["vonJahr"];
	$bisTag = $_POST["bisTag"];
	$bisMonat = $_POST["bisMonat"];
	$bisJahr = $_POST["bisJahr"];
	//von suche/sucheDurchfuehren.php:
	$anzahlErwachsene = $_POST["anzahlErwachsene"];
	if (isset($anzahlErwachsene) && $anzahlErwachsene != ""){
		$anzahlKinder = $_POST["anzahlKinder"];
		$anzahlZimmer = $_POST["anzahlZimmer"];	
		$zimmer_ids = $_POST["zimmer_ids"];
	}
	else{
		//von left.php:
		$zimmer_id = $_POST["zimmer_id"];
		if (isset($zimmer_ids))
			unset($zimmer_ids);
	}
	
	//datenbank ffnen:
	include_once("../conf/rdbmsConfig.php");
	//Unterkunft-funktionen einbeziehen:
	include_once("../include/unterkunftFunctions.php");
	//zimmer-funktionen einbeziehen:
	include_once("../include/zimmerFunctions.php");
	//datum-funktionen einbeziehen:
	include_once("../include/datumFunctions.php");
	//reservierungs-funktionen
	include_once("../include/reservierungFunctions.php");
	//uebersetzer:
	include_once("../include/uebersetzer.php");
	include_once("../suche/sucheFunctions.php");
	
?>

<?php include_once("../templates/headerA.php"); ?>
<link href="../templates/stylesheets.php?unterkunft_id=<? echo $unterkunft_id ?>" rel="stylesheet" type="text/css">
<!-- checken ob formular korrekt ausgefllt wurde: -->
<script language="JavaScript" type="text/javascript" src="./indexJS.php">
</script>
<?php include_once("../templates/headerB.php"); ?>

<?php 
//wenn anfrage ber suche kommt, prfen ob genug zimmer angeklickt wurden:
if (isset($zimmer_ids) && ($anzahlZimmer > count($zimmer_ids))){
	?>
	<table border="0" class="table">
  		<tr>
    		<td><?php echo(getUebersetzung("Sie haben eine Anfrage fr ",$sprache,$link));
					  echo($anzahlZimmer);
					  echo(getUebersetzung(" Zimmer gestellt, jedoch nur ",$sprache,$link));
					  echo(count($zimmer_ids));
					  echo(getUebersetzung(" Zimmer ausgewhlt. Bitte korrigieren Sie Ihre Anfrage!",$sprache,$link)); ?></td>
  		</tr>
		<tr>
			<td>
				<input name="Submit" type="submit" class="button200pxA" 
				onMouseOver="this.className='button200pxB';"
				onMouseOut="this.className='button200pxA';" 
				onClick="history.back()"
				value="<?php echo(getUebersetzung("zurck",$sprache,$link)); ?>">
			</td>
		</tr>
	</table>
	<?php
}
else {
?>
<?php
 	//zuerst mal prfen ob datum und so passt:
	//variableninitialisierungen:
	$datumVon = parseDateFormular($vonTag,$vonMonat,$vonJahr);
	$datumBis = parseDateFormular($bisTag,$bisMonat,$bisJahr);
		
	//wenn nicht ok:
	//1. zimmer ist zu dieser zeit belegt:
	if (!isset($zimmer_ids) && isRoomTaken($zimmer_id,$vonTag,$vonMonat,$vonJahr,$bisTag,$bisMonat,$bisJahr,$link)){
	//if (FALSE){
?>
<table border="0" cellpadding="0" cellspacing="0" class="tableColor">
  <tr>
    <td><p class="standardSchriftBold"><?php echo(getUebersetzung("Zu dieser Zeit ist es belegt!",$sprache,$link)); ?></p>
        <p class="standardSchriftBold"><?php echo(getUebersetzung("Bitte korrigieren Sie das Datum Ihrer Anfrage!",$sprache,$link)); ?></p>
	</td>
  </tr>
</table>
   <form action=".././ansichtWaehlen.php" method="post" name="form1" target="_self">	
			<input name="zimmer_id" type="hidden" value="<?php echo($zimmer_id); ?>">
			<input name="jahr" type="hidden" value="<?php echo($vonJahr); ?>">
			<input name="monat" type="hidden" value="<?php echo($vonMonat); ?>">			
        <input type="submit" name="Submit" value="<?php echo(getUebersetzung("zurck",$sprache,$link)); ?>" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';">
      </form>  

<?php
	}
	//2. das datum ist nicht korrekt, das von-datum "hher" als bis-datum
	//mit einem schmh eine typkonvertierung mit dem +_operator durchfhren:
	elseif (isDatumEarlier($vonTag,$vonMonat,$vonJahr,$bisTag,$bisMonat,$bisJahr) == FALSE) {				
?>
<table border="0" cellpadding="0" cellspacing="3" class="tableColor">
  <tr>
    <td><p class="standardSchriftBold"><?php echo(getUebersetzung("Das Reservierungs-Datum wurde nicht korrekt angegeben!",$sprache,$link)); ?></p>
      <p class="standardSchriftBold"><?php echo(getUebersetzung("Bitte korrigieren Sie das Datum Ihrer Anfrage!",$sprache,$link)); ?></p>
</td>
  </tr>
</table>
<?php
	}//ende if datum
	//wenn datum ok:
	else{
?>
<form action="../anfrage/send.php" method="post" name="adresseForm" target="_self" id="adresseForm" onSubmit="return chkFormular()">
<table border="0" cellpadding="0" cellspacing="3" class="tableColor">
  <tr>
    <td><?php
			//wenn aus suche aufgerufen:
			if(isset($zimmer_ids)){ 
			?>
			
			<?php
				echo(getUebersetzung("Reservierungs-Anfrage fr ",$sprache,$link));
				
				foreach($zimmer_ids as $zi_id){
				?>
				<br>
				<input name="zi_id" type="checkbox" value="<?php echo($zi_id); ?>" DISABLED checked>	
				<?php				
					echo(getUebersetzungUnterkunft(getZimmerArt($unterkunft_id,$zi_id,$link),$sprache,$unterkunft_id,$link)." ".(getUebersetzungUnterkunft(getZimmernr($unterkunft_id,$zi_id,$link),$sprache,$unterkunft_id,$link)));
				}
			}
			else{			
				//aus belegungsplan aufgerufen: 
				echo(getUebersetzung("Reservierungs-Anfrage fr ",$sprache,$link)." "); 
				$ziA = getZimmerArt($unterkunft_id,$zimmer_id,$link);
				echo(getUebersetzungUnterkunft($ziA,$sprache,$unterkunft_id,$link));
				
			  ?>: <?php echo(getUebersetzungUnterkunft(getZimmernr($unterkunft_id,$zimmer_id,$link),$sprache,$unterkunft_id,$link));
		  }//ende von belegungsplan aufgerufen.
		  ?>
		  <br>
      <?php echo(getUebersetzung("von",$sprache,$link)); ?>:<span class="standardSchriftBold"> <?php echo($vonTag); ?>.<?php echo($vonMonat); ?>.<?php echo($vonJahr); ?></span><br>
      							  <?php echo(getUebersetzung("bis",$sprache,$link)); ?>:<span class="standardSchriftBold"> <?php echo($bisTag); ?>.<?php echo($bisMonat); ?>.<?php echo($bisJahr); ?> </span> </td>
  </tr>
</table>
<br>
<table border="0" cellspacing="3" cellpadding="0" class="table">
  <tr>
    <td><p><?php echo(getUebersetzung("Wir bentigen noch folgende Daten von Ihnen",$sprache,$link)); ?>:</p>
         <table border="0" cellspacing="0" cellpadding="3">
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Anrede",$sprache,$link)); ?></td>
            <td> <select name="anrede" id="anrede">
                <option><?php echo(getUebersetzung("Familie",$sprache,$link)); ?></option>
                <option><?php echo(getUebersetzung("Frau",$sprache,$link)); ?></option>
                <option><?php echo(getUebersetzung("Herr",$sprache,$link)); ?></option>
                <option><?php echo(getUebersetzung("Firma",$sprache,$link)); ?></option>
              </select> </td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Vorname",$sprache,$link)); ?>*</td>
            <td><input name="vorname" type="text" id="vorname"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Nachname",$sprache,$link)); ?>*</td>
            <td><input name="nachname" type="text" id="nachname"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Strae/Hausnummer",$sprache,$link)); ?>*</td>
            <td><input name="strasse" type="text" id="strasse"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("PLZ",$sprache,$link)); ?>*</td>
            <td><input name="plz" type="text" id="plz"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Ort",$sprache,$link)); ?>*</td>
            <td><input name="ort" type="text" id="ort"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Land",$sprache,$link)); ?></td>
            <td><input name="land" type="text" id="land"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("E-Mail-Adresse",$sprache,$link)); ?>*</td>
            <td><input name="email" type="text" id="email"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Telefonnummer",$sprache,$link)); ?></td>
            <td><input name="tel" type="text" id="tel"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Faxnummer",$sprache,$link)); ?></td>
            <td><input name="fax" type="text" id="fax"></td>
          </tr>
          <tr class="standardSchrift"> 
            <td><?php echo(getUebersetzung("Anmerkungen/Fragen",$sprache,$link)); ?></td>
            <td><textarea name="anmerkung" id="anmerkung"></textarea></td>
          </tr>
		  <?php
				//wenn die anfrage aus der suche kommt, hier keine Auswahl mehr erlauben:
				if (isset($anzahlErwachsene)){
					if ($anzahlErwachsene > -1){
					?>
					<input name="anzahlErwachsene" type="hidden" value="<?php echo($anzahlErwachsene); ?>">
					<tr class="standardSchrift"> 
					<td><?php echo(getUebersetzung("Anzahl Erwachsene",$sprache,$link)); ?>
					</td>
					<td><?php echo($anzahlErwachsene); ?></td>
					</tr>					
					<?php
					}
				}
				else{
		  		?>
				  <tr class="standardSchrift"> 
					<td><?php echo(getUebersetzung("Anzahl Erwachsene",$sprache,$link)); ?></td>
					<td>
					<select name="anzahlErwachsene" id="anzahlErwachsene">
						<?php 
							//es knnen nur soviele ausgewhlt werden wie betten im zimmer
							//vorhanden sind:
							$anzahlBetten = getBetten($unterkunft_id,$zimmer_id,$link);
							$anzahlBetten+=1;$anzahlBetten-=1; //integer!
						for ($i = 0; $i <= $anzahlBetten; $i++){ ?>
								<option value="<?php echo($i); ?>" <?php if ($i == 2) echo("selected"); ?>><?php echo($i); ?></option>
						<?php 
							} //ende for schleife
						?>
					  </select>
					  </td>
				  </tr>
		  		<?php
			  	} //ende else anfrage kommt aus suche
				if (isset($anzahlKinder)){
					//anfrage kommt aus suche:
					if ($anzahlKinder > -1){
					?>
					<input name="anzahlKinder" type="hidden" value="<?php echo($anzahlKinder); ?>">
					<tr class="standardSchrift"> 
					<td><?php echo(getUebersetzung("Anzahl Kinder unter",$sprache,$link)); ?> <?php echo(getKindesalter($unterkunft_id,$link)); ?> 
					  <?php echo(getUebersetzung("Jahren.",$sprache,$link)); ?>
					</td>
					<td><?php echo($anzahlKinder); ?></td>
					</tr>					
					<?php
					}
				}
				else{
					//anfrage kommt aus belegungsplan:
					$anzahlKinderBetten = getAnzahlKinder($unterkunft_id,$link);		
					if ($anzahlKinderBetten > 0) {
		  		?>
				  <tr class="standardSchrift"> 
					<td><?php echo(getUebersetzung("Anzahl Kinder unter",$sprache,$link)); ?> <?php echo(getKindesalter($unterkunft_id,$link)); ?> 
					  <?php echo(getUebersetzung("Jahren.",$sprache,$link)); ?></td>
					<td><select name="anzahlKinder" id="anzahlKinder">
						<?php
					 
							for ($i = 0; $i <= ($anzahlKinderBetten); $i++){ 
						?>
								<option value="<?php echo($i); ?>" <?php if ($i == 0) echo("selected"); ?>><?php echo($i); ?></option>
						<?php 
							} //ende for schleife
						?>
					  </select></td>
				  </tr>
		  <?php
		  	} //ende anzahl kinderbetten > 0
		  } //ende anfrage aus belegungsplan
		  ?>
        </table>
        <p>(<?php echo(getUebersetzung("Die mit * gekennzeichneten Felder mssen ausgefllt werden!",$sprache,$link)); ?>) 
		  <?php if(isset($zimmer_ids)){ 
          		$_SESSION["zimmer_ids"] = $zimmer_ids;
			}
		  	else{ 
		  ?>
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<?php echo $zimmer_id ?>">
		  <?php }
		  ?>
          <input name="vonTag" type="hidden" id="vonTag" value="<?php echo $vonTag ?>">
          <input name="bisTag" type="hidden" id="bisTag" value="<?php echo $bisTag ?>">
          <input name="vonMonat" type="hidden" id="vonMonat" value="<?php echo $vonMonat ?>">
          <input name="bisMonat" type="hidden" id="bisMonat" value="<?php echo $bisMonat ?>">
          <input name="vonJahr" type="hidden" id="vonJahr" value="<?php echo $vonJahr ?>">
          <input name="bisJahr" type="hidden" id="bisJahr" value="<?php echo $bisJahr ?>">
        </p>
        <p><?php echo(getUebersetzung("Hinweis: Es handelt sich hierbei um eine Reservierungs-Anfrage.",$sprache,$link));
			?> <?php echo(getUebersetzung("Der Vermieter wird sich mit Ihnen in Verbindung setzen um gegebenenfalls die Reservierung zu besttigen.",$sprache,$link)); ?></p>
        </td>
  </tr>
</table>
  <br>
  <table border="0" cellspacing="3" cellpadding="0" class="table">
    <tr>
      <td><p>
          <input name="send" type="submit" class="button200pxA" 
		  	onMouseOver="this.className='button200pxB';"
       		onMouseOut="this.className='button200pxA';" id="send" value="<?php echo(getUebersetzung("Absenden",$sprache,$link)); ?>">
        
        </p>     
    </td>
    </tr>
  </table>
</form>
      <?php 
	  
	} //ende else - datum ok 
}//ende else zu wenig zimmer ausgewaehlt
?>
</body>
</html>