<?php session_start();
	/*   
			reservierungsplan
			steuerung des kalenders und reservierung fr den gast
			author: christian osterrieder utilo.net
			
			dieser seite kann optional bergeben werden:
			Zimmer PK_ID ($zimmer_id)
			Jahr ($jahr)
			Monat ($monat)
			
			dieser seite muss bergeben werden:
			Unterkunft PK_ID ($unterkunft_id)
		*/

	//datenbank ffnen:
	include_once("./conf/rdbmsConfig.php");
	include_once("./conf/reseller.php");
	//datums-funktionen einbinden:
	include_once("./include/datumFunctions.php");
	include_once("./include/zimmerFunctions.php");
	//uebersetzer einfuegen:
	include_once("./include/uebersetzer.php");
	//helper-datei eingen:
	include_once("./leftHelper.php");
	include_once("./include/einstellungenFunctions.php");
	
	//variablen initialisieren:
	$zimmer_id = $_SESSION["zimmer_id"];
	$sprache = $_SESSION["sprache"];
	$unterkunft_id = $_SESSION["unterkunft_id"];	
	
	//falls keine zimmer_id ausgewhlt wurde, das erste gefundene zimmer nehmen:
	if ($zimmer_id == "" || empty($zimmer_id)) {
		$zimmer_id = getFirstRoom($unterkunft_id,$link);
	}
	
	//falls kein jahr ausgewhlt wurde, das aktuelle jahr verwenden:
	if ($jahr == "" || empty($jahr)){
		$jahr = getTodayYear();
	}
	
	//falls kein monat ausgewhlt wurde, das aktuelle monat verwenden:
	if ($monat == "" || empty($monat)){
		$monat = getTodayMonth();
	}				
?>
<?php include_once("./templates/headerA.php"); ?>
<link href="./templates/stylesheets.php" rel="stylesheet" type="text/css">
<!-- dynamisches update der anzahl der tage fr ein gewisses monat mit java-script: -->
<script language="JavaScript" type="text/javascript" src="./templates/changeForms.js">
</script>
<script language="JavaScript" type="text/javascript" src="./leftJS.js">
</script>
</head>
<body class="backgroundColor">
<table width="100%" height="90%" border="0">
  <tr>
    <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Belegungsplan fr:",$sprache,$link)); ?></span><br>
      <form action="./ansichtWaehlen.php" method="post" name="ZimmerNrForm" target="kalender">
        <table border="0" cellspacing="3" cellpadding="0">
          <tr>
            <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Jahr",$sprache,$link)); ?></span></td>
            <td><div align="right">
                <select name="jahr" class="tableColor" id="jahr" onchange="zimmerNrFormJahrChanged()">
                  <?php				
				for ($l=getTodayYear(); $l < (getTodayYear()+4); $l++){ ?>
                  <option value="<?php echo($l); ?>"<?php if ($l == $jahr) echo(" selected"); ?>><?php echo($l); ?></option>
                  <?php } ?>
                </select>
              </div></td>
          </tr>
          <tr>
            <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Monat",$sprache,$link)); ?></span></td>
            <td><div align="right">
                <select name="monat" class="tableColor" id="monat" onchange="zimmerNrFormJahrChanged()">
                  <?php
				for ($i=1; $i<=12; $i++) { ?>
                  <option value="<? echo($i); ?>" <? if ($i == parseMonthNumber(getTodayMonth())) echo("selected"); ?>><? echo(getUebersetzung(parseMonthName($i),$sprache,$link)); ?></option>
                  <? } ?>
                </select>
              </div></td>
          </tr>
          <tr>
            <td><span class="standardSchriftBold">
              <?php //alle zimmerarten auslesen:
		echo(getUebersetzungUnterkunft(getZimmerArten($unterkunft_id,$link),$sprache,$unterkunft_id,$link));													
			  ?>
              </span></td>
            <td><div align="right">
                <select name="zimmer_id" class="tableColor" id="zimmer_id" onchange="zimmerNrFormJahrChanged()">
                  <?
					$res = getRooms($unterkunft_id,$link);
	 				while($d = mysql_fetch_array($res)) { ?>
                  <option <? if ($zimmer_id == $d["PK_ID"]) {echo("selected");} ?> value="<? echo $d["PK_ID"] ?>">
                  <?php
				  		$temp = $d["Zimmernr"]; 
				  		echo(getUebersetzungUnterkunft($temp,$sprache,$unterkunft_id,$link)); ?>
                  </option>
                  <? } ?>
                </select>
              </div></td>
          </tr>
        </table>
      </form></td>
  </tr>
  <tr>
    <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Ansicht fr",$sprache,$link)); ?>:</span>
	</td>
  </tr>
  <tr>
    <td>
      <form action="./ansichtWaehlen.php" method="post" name="jahresuebersicht" target="kalender">
        <div align="center">
          <select name="ansichtWechsel" onchange="submit()" class="button200pxA">
            <option value="0"><?php echo(getUebersetzung("Monatsbersicht",$sprache,$link)); ?></option>
            <option value="1"><?php echo(getUebersetzung("Jahresbersicht",$sprache,$link)); ?></option>
          </select>
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo($zimmer_id); ?>">
          <input name="jahr" type="hidden" id="jahr" value="<? echo($jahr); ?>">
          <input name="monat" type="hidden" id="monat" value="<? echo(parseMonthNumber(getTodayMonth())); ?>">
        </div>
      </form>
	  </td>
  </tr>
  <tr>
    <td><!-- zimmersuche starten: -->
      <form action="./suche/index.php" method="post" name="suche" target="kalender">
        <input name="keineSprache" type="hidden" value="true">
        <div align="center">
          <input name="suche" type="submit" id="suche" value="<?php echo(getUebersetzung("Suchformular ffnen",$sprache,$link)); ?>" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   onMouseOut="this.className='button200pxA';">
          <input name="jahr" type="hidden" id="jahr" value="<? echo($jahr); ?>">
          <input name="monat" type="hidden" id="monat" value="<? echo($monat); ?>">		  
        </div>
      </form></td>
  </tr>
  <tr>
    <td><table width="100%" border="0" class="tableColor">
        <tr>
          <td width="23" height="23" class="belegt">&nbsp;</td>
          <td><?php echo(getUebersetzung("belegt",$sprache,$link)); ?></td>
        </tr>
        <tr>
          <td width="23" height="23" class="frei">&nbsp;</td>
          <td><?php echo(getUebersetzung("frei",$sprache,$link)); ?></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td><form action="./anfrage/index.php" method="post" name="reservierung" target="kalender" id="reservierung">
        <p class="standardSchriftBold"><?php echo(getUebersetzung("Reservierung",$sprache,$link)); ?>: <br>
          <span class="standardSchriftBold"><?php echo(getUebersetzung("von",$sprache,$link)); ?>: <br>
          </span>
          <!--  heutigen tag selectiert anzeigen: -->
          <select name="vonTag" class="tableColor" id="select">
            <?php for ($i=1; $i<=31; $i++) { ?>
            <option value="<?php echo $i; ?>"<?php if (getTodayDay() == $i) echo " selected"; ?>><?php echo $i; ?></option>
            <?php } ?>
          </select>
          <!--  heutiges monat selectiert anzeigen: -->
          <select name="vonMonat" class="tableColor" id="vonMonat" onChange="chkDays(0)">
            <option value="1" <?php if (getTodayMonth() == "Jnner") echo "selected"; ?>><?php echo(getUebersetzung("Jnner",$sprache,$link)); ?></option>
            <option value="2" <?php if (getTodayMonth() == "Februar") echo "selected"; ?>><?php echo(getUebersetzung("Februar",$sprache,$link)); ?></option>
            <option value="3" <?php if (getTodayMonth() == "Mrz") echo "selected"; ?>><?php echo(getUebersetzung("Mrz",$sprache,$link)); ?></option>
            <option value="4" <?php if (getTodayMonth() == "April") echo "selected"; ?>><?php echo(getUebersetzung("April",$sprache,$link));	?></option>
            <option value="5" <?php if (getTodayMonth() == "Mai") echo "selected"; ?>><?php echo(getUebersetzung("Mai",$sprache,$link)); ?></option>
            <option value="6" <?php if (getTodayMonth() == "Juni") echo "selected"; ?>><?php echo(getUebersetzung("Juni",$sprache,$link)); ?></option>
            <option value="7" <?php if (getTodayMonth() == "Juli") echo "selected"; ?>><?php echo(getUebersetzung("Juli",$sprache,$link)); ?></option>
            <option value="8" <?php if (getTodayMonth() == "August") echo "selected"; ?>><?php echo(getUebersetzung("August",$sprache,$link)); ?></option>
            <option value="9" <?php if (getTodayMonth() == "September") echo "selected"; ?>><?php echo(getUebersetzung("September",$sprache,$link)); ?></option>
            <option value="10" <?php if (getTodayMonth() == "Oktober") echo "selected"; ?>><?php echo(getUebersetzung("Oktober",$sprache,$link)); ?></option>
            <option value="11" <?php if (getTodayMonth() == "November") echo "selected"; ?>><?php echo(getUebersetzung("November",$sprache,$link)); ?></option>
            <option value="12" <?php if (getTodayMonth() == "Dezember") echo "selected"; ?>><?php echo(getUebersetzung("Dezember",$sprache,$link)); ?></option>
          </select>
          <!--  heutiges jahr selectiert anzeigen: -->
          <select name="vonJahr" class="tableColor" id="vonJahr" onChange="chkDays(0)">
            <?php				
				for ($l=getTodayYear(); $l < (getTodayYear()+4); $l++){ ?>
            <option value="<?php echo($l); ?>" <?php if ($l == $jahr) echo("selected"); ?>><?php echo($l); ?></option>
            <?php } ?>
          </select>
          <br>
          <span class="standardSchriftBold"><?php echo(getUebersetzung("bis",$sprache,$link)); ?>:</span><br>
          <select name="bisTag" class="tableColor" id="select4">
            <!--  heutigen tag selectiert anzeigen: -->
            <?php	
             for ($i=1; $i<=31; $i++) { ?>
            <option value="<?php echo($i); ?>"<?php if (getTodayDay() == $i) echo " selected"; ?>><?php echo($i); ?></option>
            <?php } ?>
          </select>
          <!--  heutiges monat selectiert anzeigen: -->
          <select name="bisMonat" class="tableColor" id="bisMonat" onChange="chkDays(1)">
            <option value="1" <?php if (getTodayMonth() == "Jnner") echo "selected"; ?>><?php echo(getUebersetzung("Jnner",$sprache,$link)); ?></option>
            <option value="2" <?php if (getTodayMonth() == "Februar") echo "selected"; ?>><?php echo(getUebersetzung("Februar",$sprache,$link)); ?></option>
            <option value="3" <?php if (getTodayMonth() == "Mrz") echo "selected"; ?>><?php echo(getUebersetzung("Mrz",$sprache,$link)); ?></option>
            <option value="4" <?php if (getTodayMonth() == "April") echo "selected"; ?>><?php echo(getUebersetzung("April",$sprache,$link));	?></option>
            <option value="5" <?php if (getTodayMonth() == "Mai") echo "selected"; ?>><?php echo(getUebersetzung("Mai",$sprache,$link)); ?></option>
            <option value="6" <?php if (getTodayMonth() == "Juni") echo "selected"; ?>><?php echo(getUebersetzung("Juni",$sprache,$link)); ?></option>
            <option value="7" <?php if (getTodayMonth() == "Juli") echo "selected"; ?>><?php echo(getUebersetzung("Juli",$sprache,$link)); ?></option>
            <option value="8" <?php if (getTodayMonth() == "August") echo "selected"; ?>><?php echo(getUebersetzung("August",$sprache,$link)); ?></option>
            <option value="9" <?php if (getTodayMonth() == "September") echo "selected"; ?>><?php echo(getUebersetzung("September",$sprache,$link)); ?></option>
            <option value="10" <?php if (getTodayMonth() == "Oktober") echo "selected"; ?>><?php echo(getUebersetzung("Oktober",$sprache,$link)); ?></option>
            <option value="11" <?php if (getTodayMonth() == "November") echo "selected"; ?>><?php echo(getUebersetzung("November",$sprache,$link)); ?></option>
            <option value="12" <?php if (getTodayMonth() == "Dezember") echo "selected"; ?>><?php echo(getUebersetzung("Dezember",$sprache,$link)); ?></option>
          </select>
          <!--  heutiges jahr selectiert anzeigen: -->
          <select name="bisJahr" class="tableColor" id="bisJahr" onChange="chkDays(1)">
            <?php				
				for ($l=getTodayYear(); $l < (getTodayYear()+4); $l++){ ?>
            <option value="<?php echo($l); ?>" <?php if ($l == $jahr) echo("selected"); ?>><?php echo($l); ?></option>
            <?php } ?>
          </select>
        </p>
        <div align="center">
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo $zimmer_id ?>">
          <input name="reservierungAbsenden" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="reservierungAbsenden" value="<?php echo(getUebersetzung("Reservierung absenden...",$sprache,$link)); ?>">
        </div>
      </form></td>
  </tr>
  <tr>
    <td valign="middle" ><div align="center">
        <form action="./anfrage/anfragePerEMail.php" method="post" name="e_mail_form" target="kalender">
			<input name="zimmer_id" type="hidden" value="<?php echo($zimmer_id); ?>">
			<input name="jahr" type="hidden" value="<?php echo($vonJahr); ?>">
			<input name="monat" type="hidden" value="<?php echo($vonMonat); ?>">			
          <input name="eMail" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="eMail" value="<?php echo(getUebersetzung("Anfrage per E-Mail",$sprache,$link)); ?>">
        </form>
      </div></td>
  </tr>
  <tr>
    <td><table width="70%" border="0" align="left" cellpadding="0" cellspacing="0" class="tableColor">
    	<?php 
    	//laender ausgeben die in den einstellungen definiert wurden:
    	if (isEnglishShown($unterkunft_id,$link) && $sprache != "en"){
    	?>
        <tr>
          <td width="1"><img src="./fahneEN.gif" width="25" height="16"></td>
          <td><div align="left"> <a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=en" target="_parent" class="standardSchrift"> &nbsp;&nbsp;English</a></div></td>
        </tr>
        <?php
    	}
    	if (isFrenchShown($unterkunft_id,$link) && $sprache != "fr"){
        ?>
        <tr>
          <td width="1"><img src="./fahneFR.gif" width="25" height="16"></td>
          <td><div align="left"><a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=fr" target="_parent" class="standardSchrift">&nbsp;&nbsp;Francais</a></div></td>
        </tr>
        <?php
    	}
    	if (isGermanShown($unterkunft_id,$link) && $sprache != "de"){
        ?>
        <tr>
          <td width="1"><img src="./fahneDE.gif" width="25" height="16"></td>
          <td><div align="left"><a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=de" target="_parent" class="standardSchrift">&nbsp;&nbsp;Deutsch</a></div></td>
        </tr>
        <?php
    	}
    	if (isItalianShown($unterkunft_id,$link) && $sprache != "sp"){
        ?>
        <tr>
          <td width="1"><img src="./fahneIT.gif" width="25" height="16"></td>
          <td><div align="left"><a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=it" target="_parent" class="standardSchrift">&nbsp;&nbsp;Italia</a></div></td>
        </tr>
        <?php
    	}
    	if (isEspaniaShown($unterkunft_id,$link) && $sprache != "sp"){
        ?>
        <tr>
          <td width="1"><img src="./fahneSP.gif" width="25" height="16"></td>
          <td><div align="left"><a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=sp" target="_parent" class="standardSchrift">&nbsp;&nbsp;Espaa</a></div></td>
        </tr>
        <?php
        }
    	if (isEstoniaShown($unterkunft_id,$link) && $sprache != "es"){
        ?>
        <tr>
          <td width="1"><img src="./fahneES.gif" width="25" height="16"></td>
          <td><div align="left"><a href="./start.php?unterkunft_id=<?php echo($unterkunft_id); ?>&zimmer_id=<?php echo($zimmer_id); ?>&spracheNeu=es" target="_parent" class="standardSchrift">&nbsp;&nbsp;Estnia</a></div></td>
        </tr>
        <?php
    	}
    	?>
      </table></td>
  </tr>
  <?php
  //bei reseller - reseller-link anzeigen:
  if ($isReseller){
  ?>
	  <tr>
	    <td><div align="center"><font size="2"><a href="<?php echo($resellerUrl); ?>" target="_top">Rezervi V2.0 <br/> <?php echo($resellerName); ?></a></font></div></td>
	  </tr>
  <?php
  }
  else{
  ?>
	  <tr>
	    <td><div align="center"><font size="2"><a href="http://belegungsplan.utilo.net/" target="_top">Rezervi V2.0 &copy; utilo.net</a></font></div></td>
	  </tr>
  <?php
  }
  ?>
</table>
</body>
</html>