<?php session_start();
		
	//durchfuehren der suche, das heisst vom suche-index.php kommen
	//die daten:
	/*
	
	unterkunft_id
	sprache
	
	vonTag
	vonMonat
	vonJahr
	bisTag
	bisMonat
	bisJahr
	
	anzahlZimmer: wenn nichts ausgewaehlt -1
	anzahlKinder: wenn nichts ausgewaehlt -1
	anzahlErwachsene: wenn nichts ausgewaehlt -1
	
	*/
	
	//variablen initialisieren:
	$sprache = $_SESSION["sprache"];
	$unterkunft_id = $_SESSION["unterkunft_id"];	
	$vonTag = $_POST["vonTag"];
	$vonMonat = $_POST["vonMonat"];
	$vonJahr = $_POST["vonJahr"]; 
	$bisTag = $_POST["bisTag"];
	$bisMonat = $_POST["bisMonat"];
	$bisJahr = $_POST["bisJahr"];
	$anzahlZimmer = $_POST["anzahlZimmer"];
	$anzahlErwachsene = $_POST["anzahlErwachsene"];
	$anzahlKinder = $_POST["anzahlKinder"];	
	$zimmer_id = $_SESSION["zimmer_id"];
	
	//datenbank ffnen:
	include_once("../conf/rdbmsConfig.php");
	//spezielle funktionen fuer suche:
	include_once("./sucheFunctions.php");	
	//funktionen zum anzeigen der zimmer-infos:
	include_once("../include/zimmerFunctions.php");
	//reservierungs-funktionen:
	include_once("../include/datumFunctions.php");
	//unterkunfts-funktionen:
	include_once("../include/unterkunftFunctions.php");
	//uebersetzung:
	include_once("../include/uebersetzer.php");
	
	//testdaten falls keine unterkunft uebergeben wurde:
	if (!isset($unterkunft_id) || $unterkunft_id == ""){
	   $unterkunft_id = "1";
	 }
	//bergebene sprache in session speichern:
	//wenn keine sprache bergeben, deutsch nehmen:	
	if (!isset($sprache) || $sprache == ""){
		$sprache = "de";						
	}
//headerA einfgen:
include_once("../templates/headerA.php");
//stylesheets einfgen:
?>
<link href="../templates/stylesheets.php" rel="stylesheet" type="text/css">
<?php
//headerB einfgen:
include_once("../templates/headerB.php");

//prfen ob datum korrekt:
	if (!isDatumEarlier($vonTag,$vonMonat,$vonJahr,$bisTag,$bisMonat,$bisJahr)) {				
?>
<table border="0" cellpadding="0" cellspacing="3" class="table">
  <tr>
    <td><p class="standardSchriftBold"><?php echo(getUebersetzung("Das Reservierungs-Datum wurde nicht korrekt angegeben!",$sprache,$link)); ?></p>
      <p class="standardSchriftBold"><?php echo(getUebersetzung("Bitte korrigieren Sie das Datum Ihrer Anfrage!",$sprache,$link)); ?> </p></td>
  </tr>
  <tr>
    <td><form action="./index.php" method="post" name="sucheWiederholen" target="_self">
        <input name="keineSprache" type="hidden" value="true">
        <input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
			   onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("Suche wiederholen",$sprache,$link)); ?>">
      </form></td>
  </tr>
</table>
<?php
	} //ende if is datum frher
	else{
?>
<table border="0" class="table">
  <tr>
    <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Suchanfrage fr:",$sprache,$link)); ?></span></td>
  </tr>
  <tr>
    <td><?php if ($anzahlErwachsene > -1) {  ?>
      <span class="standardSchrift"><?php echo($anzahlErwachsene); ?> <?php echo(getUebersetzung("Erwachsene",$sprache,$link)); ?></span> </td>
  </tr>
  <tr>
    <td><?php 
	} 
	if ($anzahlKinder > -1) { ?>
      <span class="standardSchrift"><?php echo($anzahlKinder); ?> <?php echo(getUebersetzung("Kinder",$sprache,$link)); ?></span> </td>
  </tr>
  <tr>
    <td><?php 
	}
	if ($anzahlZimmer > -1){ ?>
      <span class="standardSchrift"><?php 
	  	if ($anzahlZimmer < 2){
			echo($anzahlZimmer); ?> <?php echo(getUebersetzungUnterkunft(getZimmerart_EZ($unterkunft_id,$link),$sprache,$unterkunft_id,$link)); 
		}
		else{
			echo($anzahlZimmer); ?> <?php echo(getUebersetzungUnterkunft(getZimmerart_MZ($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
		}
			?></span>
      <?php } ?></td>
  </tr>
  <tr>
    <td><span class="standardSchrift"><?php echo(getUebersetzung("von",$sprache,$link)); ?>: <?php echo($vonTag); ?>.<?php echo($vonMonat); ?>.<?php echo($vonJahr); ?></span></td>
  </tr>
  <tr>
    <td><span class="standardSchrift"><?php echo(getUebersetzung("bis",$sprache,$link)); ?>: <?php echo($bisTag); ?>.<?php echo($bisMonat); ?>.<?php echo($bisJahr); ?></span></td>
  </tr>
</table>
<br>
<?php 
	$freieZimmer = getFreieZimmer($unterkunft_id, $anzahlErwachsene, $anzahlKinder, $anzahlZimmer, $vonTag,$vonMonat,$vonJahr,$bisTag,$bisMonat,$bisJahr,$link); 
	if ($freieZimmer[0] == -1){ 
		//es sind nicht genug plaetze fuer die erwachsenen frei!
?>
<table border="0" class="tableColor">
  <tr>
    <td class="standardSchriftBold"><?php echo( getUebersetzung("Leider haben wir nicht mehr genug ",$sprache,$link) );
										  echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
										  echo(getUebersetzung("fr",$sprache,$link)." ");
										  echo($anzahlErwachsene);
										  echo(getUebersetzung(" Erwachsene im gewnschten Zeitraum frei.",$sprache,$link)); ?></td>
  </tr>
</table>
<?php
	}
	else if ($freieZimmer[0] == -2){ 
		//es sind nicht genug plaetze fuer die erwachsenen frei!
?>
<table border="0" class="tableColor">
  <tr>
    <td class="standardSchriftBold"><?php echo( getUebersetzung("Leider haben wir nicht mehr genug ",$sprache,$link));
										  echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
										  echo(getUebersetzung("fr",$sprache,$link)." ");
										  echo($anzahlKinder);
										  echo(getUebersetzung(" Kinder im gewnschten Zeitraum frei.",$sprache,$link));
											?></td>
  </tr>
</table>
<?php
	}
	else if ($freieZimmer[0] == -3){ 
		//es sind nicht genug plaetze fuer die erwachsenen frei!
?>
<table border="0" class="tableColor">
  <tr>
    <td class="standardSchriftBold"><?php echo( getUebersetzung("Leider haben wir nicht mehr genug ",$sprache,$link));
										  echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
										  echo( " ".getUebersetzung("im gewnschten Zeitraum frei.",$sprache,$link) );
											?></td>
  </tr>
</table>
<?php
	}
	else{
?>
<form action="../anfrage/index.php" method="post" name="reservierung" target="_self" id="reservierung">
  <input name="anzahlErwachsene" type="hidden" value="<?php echo($anzahlErwachsene); ?>">
  <input name="anzahlKinder" type="hidden" value="<?php echo($anzahlKinder); ?>">
  <input name="vonTag" type="hidden" value="<?php echo($vonTag); ?>">
  <input name="bisTag" type="hidden" value="<?php echo($bisTag); ?>">
  <input name="vonMonat" type="hidden" value="<?php echo($vonMonat); ?>">
  <input name="bisMonat" type="hidden" value="<?php echo($bisMonat); ?>">
  <input name="vonJahr" type="hidden" value="<?php echo($vonJahr); ?>">
  <input name="bisJahr" type="hidden" value="<?php echo($bisJahr); ?>">
  <input name="anzahlZimmer" type="hidden" value="<?php echo($anzahlZimmer); ?>">
  <br>
  <table border="0" class="table">
    <tr>
      <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Freie",$sprache,$link)." "); 
	  											  echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
												  echo(" ".getUebersetzung("im gewnschten Zeitraum",$sprache,$link).":" );
	  							?><br>
        </span><span class="standardSchrift"><?php 
				if (count($freieZimmer) > 1){
					echo(getUebersetzung("Bitte whlen Sie die gewnschten",$sprache,$link)." ");
					echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
					echo(" ".getUebersetzung("aus",$sprache,$link)."."); 
				}
				else{
					echo(getUebersetzung("Bitte whlen Sie das gewnschte",$sprache,$link)." ");
					echo(getUebersetzungUnterkunft(getzimmerArtString($unterkunft_id,$link),$sprache,$unterkunft_id,$link));
					echo(" ".getUebersetzung("aus",$sprache,$link)."."); 
				}
				?></span></td>
    </tr>
    <?php
			$zaehle = 0;
			foreach($freieZimmer as $zimmer_id){ 
			$zaehle++;
		?>
    <tr>
      <td><input name="zimmer_ids[]" type="checkbox" value="<?php echo($zimmer_id); ?>" <?php if($zaehle <= $anzahlZimmer) echo("checked")?>>
        <?php echo((getZimmerArt($unterkunft_id,$zimmer_id,$link))." ".(getZimmerNr($unterkunft_id,$zimmer_id,$link))); ?> </td>
    </tr>
    <?php
			}
		?>
    <tr>
      <td><input name="reservierungAbsenden" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   onMouseOut="this.className='button200pxA';" id="reservierungAbsenden" value="<?php echo(getUebersetzung("Reservierung starten...",$sprache,$link)); ?>"></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
  </table>
</form>
<?php
	}
	if ($freieZimmer[0] == -1 || $freieZimmer[0] == -2 || $freieZimmer[0] == -3){
?>
<br>
<table border="0" class="table">
  <tr>
    <td><span class="standardSchriftBold"><?php echo(getUebersetzung("Bitte wiederholen sie die Suche mit genderten Anforderungen <br>	oder whlen Sie aus dem Belegungsplan den gewnschten Zeitraum aus.",$sprache,$link)); ?></span></td>
  </tr>
  <tr>
    <td><?php if (isset($keineSprache) && ($keineSprache == "true")){ ?>
		<form action="../start.php" method="post" name="belegungsplanAnzeigen" target="_self">
		<?php }
			else {
		?>
		<form action="../right.php" method="post" name="belegungsplanAnzeigen" target="_self">
		<?php } 
		?>
        <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo($zimmer_id); ?>">
		<input name="keineSprache" type="hidden" id="zimmer_id" value="true">
        <input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("Belegungsplan anzeigen",$sprache,$link)); ?>">
      </form></td>
  </tr>
  <tr>
    <td><form action="./index.php" method="post" name="sucheWiederholen" target="_self">
		<input name="keineSprache" type="hidden" id="zimmer_id" value="true">
        <input type="submit" name="Submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   onMouseOut="this.className='button200pxA';" value="<?php echo(getUebersetzung("Suche wiederholen",$sprache,$link)); ?>">
      </form></td>
  </tr>
</table>
<?php
	}
} //ende datum ist nicht frher
?>
</body>
</html>
