<?php session_start();

	/* 
		reservierungsplan - utilo.net
		author: christian osterrieder
		
		inhaltsverzeinis fr die wartung des benutzers
		ber diese seite wird das passwort und der benutzername geprft,
		zur prfung bergeben werden die variablen
		benutzername 
		passwort
	
		fr die jeweiligen Rechten angepasstes Wartungsmenue

		Rechte:
		1 - Testversion
		2 - Zimmer bearbeiten, Unterkunftsdaten ndern
		3 - Design bearbeiten
		  - Benutzerdaten bearbeiten
		
	*/
	
	//variablen initialisieren:
	$ben = $_POST["ben"];
	$pass = $_POST["pass"];
	if (!isset($ben) && !isset($pass)){
		//aufruf kam innerhalb des webinterface:
		$ben = $_SESSION["benutzername"];
		$pass= $_SESSION["passwort"];
	}
	
	//passwortprfung vornehmen:
	//datenbank ffnen:
	include_once("../conf/rdbmsConfig.php");
	//andere funktionen einbeziehen:
	include_once("../include/benutzerFunctions.php");
	include_once("../include/unterkunftFunctions.php");
	include_once("../include/zimmerFunctions.php");
	include_once("../include/uebersetzer.php");
	
	if (isset($ben) && isset($pass)){
		$benutzer_id = checkPassword($ben,$pass,$link);
		if ($benutzer_id == -1){
			//passwortprfung fehlgeschlagen, auf index-seite zurck:
			$fehlgeschlagen = true;
			include_once("./index.php");
		}
		else{
			$benutzername = $ben; $passwort = $pass;
			$_SESSION["benutzername"] = $benutzername;
			$_SESSION["passwort"] = $passwort;
			
			//unterkunft-id holen:
			$unterkunft_id = getUnterkunftID($benutzer_id,$link);		
			$_SESSION["unterkunft_id"] = $unterkunft_id;
			$_SESSION["benutzer_id"] = $benutzer_id;
		}
	}		
	
	//sprache auslesen:
	//entweder aus bergebener url oder aus session
	if (isset($_POST["sprache"]) && $_POST["sprache"] != ""){
		$sprache = $_POST["sprache"];
	 	$_SESSION["sprache"] = $sprache;
	}
	else{
		$sprache = $_SESSION["sprache"];
	}

		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//unterknfte sperren:
		// 4 = la vielle maison
		if ($unterkunft_id == -1){
			echo("Zugang gesperrt!");
			$fehlgeschlagen = true;
			include_once("./index.php");
		}
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		else{
			
		//benutzerrechte auslesen:
		$benutzerrechte = getUserRights($benutzer_id,$link);
		$anzahlVorhandenerZimmer = getAnzahlVorhandeneZimmer($unterkunft_id,$link);
		
?>
<?php include_once("./templates/headerA.php"); ?>
<link href="../templates/stylesheets.php?unterkunft_id=<?php echo($unterkunft_id); ?>" rel="stylesheet" type="text/css">
<?php include_once("./templates/headerB.php"); ?>
<?php include_once("./templates/bodyA.php"); ?>
<p class="standardSchriftBold"><?php echo(getUebersetzung("Benutzer",$sprache,$link)); ?>: <?php echo(getUserName($benutzer_id,$link)); ?></p>
<?php if ($anzahlVorhandenerZimmer < 1) { ?>
<?php } ?>
<table width="100%" border="0" cellspacing="3" cellpadding="0">
  <?php 
  //prfen ob benutzer das recht hat den folgenden link auszufhren:
  if ($benutzerrechte >= 1 && $anzahlVorhandenerZimmer > 0) {
	?>
  <form action="./reservierung/index.php" method="post" name="resEingebenAendern" target="_self">    
    <tr>
      <td width="1"><input name="resEingebenAendern" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="resEingebenAendern" value="<?php echo(getUebersetzung("Reservierungsplan bearbeiten",$sprache,$link)); ?>">
      </td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Neue Reservierungen eingeben, Reservierungen bearbeiten oder lschen.",$sprache,$link)); ?></td>
    </tr>
  </form>
  <form action="./anfragenBearbeiten/index.php" method="post" name="resEingebenAendern" target="_self">
    <tr>
      <td>
        <input type="submit" name="Submit" value="<?php echo(getUebersetzung("Anfragen bearbeiten",$sprache,$link)); ?>" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Anfragen von Gsten als belegt besttigen oder ablehnen",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <form action="./gaesteBearbeiten/index.php" method="post" name="gaesteBearbeiten" target="_self">
    <tr>
      <td>
        <input type="submit" name="Submit" value="<?php echo(getUebersetzung("Gste bearbeiten",$sprache,$link)); ?>" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Gespeicherte Daten der Gste bearbeiten oder abfragen (z. B. E-Mail-Adressen ausgeben)",$sprache,$link)); ?></td>
    </tr>
  </form>
  <?php
	 	} //ende benutzerrechte >= 1
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
		if ($benutzerrechte == 1) {
	?>
  <form name="benutzerdatenEingebenAendern" method="post" action="">
    <tr>
      <td width="1"><input name="Benutzerdatenbearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="Benutzerdatenbearbeiten" value="<?php echo(getUebersetzung("Benutzerdaten bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Neue Benutzer anlegen, ndern (z. B. Passwort) oder bestehende Benutzer lschen",$sprache,$link)); ?>.<strong><br>
		<?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  </form>
  <?php
	 	}
		if ($benutzerrechte >= 2) {
	?>
  <form name="benutzerdatenEingebenAendern" method="post" action="./benutzerBearbeiten/index.php">
    <tr>
      <td width="1"><input name="Benutzerdatenbearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="Benutzerdatenbearbeiten" value="<?php echo(getUebersetzung("Benutzerdaten bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Neue Benutzer anlegen, ndern (z. B. Passwort) oder bestehende Benutzer lschen",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <?php
	 	}
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
		if ($benutzerrechte >= 2) {
	?>
  <form action="./zimmerBearbeiten/index.php" method="post" name="ZimmerBearbeiten" target="_self">
    <tr>
      <td width="1"><input name="ZimmerBearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="ZimmerBearbeiten" value="<?php echo(getUebersetzung("Zimmer bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Neue Zimmer/Appartements/Wohnung/etc. anlegen, lschen, oder bereits bestehende ndern",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <?php
	 	}
		else if($benutzerrechte == 1){		
			?>
  <form action="#" method="post" name="ZimmerBearbeiten" target="_self">
    <tr>
      <td width="1"><input name="ZimmerBearbeiten" type="button" class="button200pxA" onMouseOver="this.className='button200pxB';"
		   onMouseOut="this.className='button200pxA';" id="ZimmerBearbeiten" value="<?php echo(getUebersetzung("Zimmer bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Neue Zimmer/Appartements/Wohnung/etc. anlegen, lschen, oder bereits bestehende ndern",$sprache,$link)); ?>. <strong><br>
        <?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  </form>
  <?php
	  }
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
		if ($benutzerrechte >= 2) {
	?>
  <form action="./unterkunftBearbeiten/index.php" method="post" name="UnterkunftBearbeiten" target="_self">
    <tr>
      <td><input name="UnterkunftBearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="UnterkunftBearbeiten" value="<?php echo(getUebersetzung("Unterkunft bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Daten Ihrer Unterkunft ndern (z. B. E-Mail-Adresse)",$sprache,$link)); ?></td>
    </tr>
  </form>
  <?php
	 	}
		else if ($benutzerrechte == 1) {
	?>
  <form action="#" method="post" name="UnterkunftBearbeiten" target="_self">
    <tr>
      <td><input name="UnterkunftBearbeiten" type="button" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="UnterkunftBearbeiten" value="<?php echo(getUebersetzung("Unterkunft bearbeiten",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Daten Ihrer Unterkunft ndern (z. B. E-Mail-Adresse)",$sprache,$link)); ?><strong><br>
        <?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  </form>
  <?php
  }
  	//prfen ob benutzer das recht hat den folgenden link auszufhren:
	if ($benutzerrechte >= 2) {
	?>
  <form action="./divEinstellungen/index.php" method="post" name="DiverseEinstellungen" target="_self">
    <tr>
      <td><input name="divEinstellungen" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="divEinstellungen" value="<?php echo(getUebersetzung("diverse Einstellungen",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Diverse Einstellungen von Rezervi ndern",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <?php
 	}
	else if ($benutzerrechte == 1) {
	?>
  <form action="#" method="post" name="DiverseEinstellungen" target="_self">
    <tr>
      <td><input name="divEinstellungen" type="button" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="divEinstellungen" value="<?php echo(getUebersetzung("diverse Einstellungen",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Diverse Einstellungen von Rezervi ndern",$sprache,$link)); ?>.<strong><br>
        <?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  </form>
  <?php
  }
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
		if ($benutzerrechte >= 2) {
	?>
  <form name="designBearbeiten" method="post" action="../webinterface/designBearbeiten/index.php">
    <tr>
      <td width="1"><input name="designBearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="designBearbeiten2" value="<?php echo(getUebersetzung("Design bearbeiten",$sprache,$link)); ?>">
      </td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Das Design Ihres persnlichen Reservierungsplanes ndern (z. B. Hintergrundfarbe)",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <?php
   	} //ende if benutzerrechte <= 2
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
	if ($benutzerrechte == 1) {
	?>
  <form name="designBearbeiten" method="post" action="">
    <tr>
      <td width="1"><input name="designBearbeiten" type="button" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="designBearbeiten2" value="<?php echo(getUebersetzung("Design bearbeiten",$sprache,$link)); ?>">
      </td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Das Design Ihres persnlichen Reservierungsplanes ndern (z. B. Hintergrundfarbe)",$sprache,$link)); ?>.<strong><br>
        <?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  <?php
  }
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
	if ($benutzerrechte >= 2) {
	?>
  <form name="antwortenBearbeiten" method="post" action="./autoResponse/index.php">
    <tr>
      <td><input name="antwortenBearbeiten" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="designBearbeiten2" value="<?php echo(getUebersetzung("Automatische e-Mails",$sprache,$link)); ?>">
      </td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Die automatischen E-Mail-Antworten an ihre Gste ndern (z. B. Buchungsbesttigung) oder E-Mails an Ihre Gste senden",$sprache,$link)); ?>.</td>
    </tr>
	  </form>
  <?php
   	} //ende if benutzerrechte <= 2
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
	if ($benutzerrechte == 1) {
	?>
  <form name="antwortenBearbeiten" method="post" action="">
    <tr>
      <td><input name="antwortenBearbeiten" type="button" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="designBearbeiten2" value="<?php echo(getUebersetzung("Automatische e-Mails",$sprache,$link)); ?>">
      </td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Die automatischen E-Mail-Antworten an ihre Gste ndern (z. B. Buchungsbesttigung) oder E-Mails an Ihre Gste senden",$sprache,$link)); ?>.<strong><br>
    <?php echo(getUebersetzung("Diese Funktion ist nur fr Administratoren verfgbar",$sprache,$link)); ?>!</strong></td>
    </tr>
  </form>
  <?php
   	} //ende if benutzerrechte <= 2
	?>
  <tr>
    <td>&nbsp;</td>
    <td class="standardSchrift">&nbsp;</td>
  </tr>
  <?php 
	 if ($benutzerrechte >=1) {
	 ?>
  <form name="abmelden" method="post" action="./abmelden.php">
    <tr>
      <td width="1"><input name="abmelden" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" id="abmelden" value="<?php echo(getUebersetzung("Abmelden",$sprache,$link)); ?>"></td>
      <td class="standardSchrift"><?php echo(getUebersetzung("Hiermit beenden Sie Ihre Sitzung",$sprache,$link)); ?>.</td>
    </tr>
  </form>
  <?php
	 	}
	//prfen ob benutzer das recht hat den folgenden link auszufhren:
	//	if ($benutzerrechte < 1000) {
	?>
</table>
</body>
</html>
<?php
	} //ende sperren unterk+nfte
//} //ende passwortprfung ok
?>
