<?php

function printResAdmin($zimmer_id,$i,$month,$year,$link){
	
	//array mit status holen
	$status = getStatus($zimmer_id,$i,$month,$year,$link);
	//prfen ob es mehr als einen status-eintrag gibt,
	//falls ja muss es sich an diesem tag um einen 
	//urlauberwechsel handeln:
	if (isset($status) && (sizeof($status)>1)){
		//an diesem tag ist ein urlauberwechsel:				
		?>
	<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
	  <tr>
		<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="10"><? echo($i."."); ?></td>
		<td class="<?php echo(parseStatus($status[1])); ?>" align="right" width="10">&nbsp;</td>
	  </tr>
	</table>
	<?php				
		} //ende if "an diesem tag ist urlauberwechsel"
		else {
			//schauen ob der letzte tag halb-frei ist,
			//dazu erstmal den folgetag erzeugen:
			$nTag = $i+1;$nMonat = $month;$nJahr = $year;
			//anzahl der tage in diesem monat feststellen:
			$anzahlTage = getNumberOfDays($month,$year);
			//tage prfen:
			if ($nTag > $anzahlTage){
				$nTag = 1;
				$nMonat=$month+1;
			} //ende if tag zu gross
			if ($nMonat>12){
				$nMonat=1;
				$nJahr=$year+1;
			} //ende if monat zu gross
			//status-array fr den folge-tag holen:
			$nStatus = getStatus($zimmer_id,$nTag,$nMonat,$nJahr,$link);
			//gibt es am folgetag einen eintrag?
			if (!(isset($nStatus)) && isset($status)){
				//am nchsten tag ist es frei:				
				?>
	<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
	  <tr>
		<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="10"><? echo($i."."); ?></td>
		<td class="<?php echo("frei"); ?>" align="right" width="10">&nbsp;</td>
	  </tr>
	</table>
	<?php
			} //ende if nchster tag frei
			else {				
				//schauen ob der tag vorher frei ist:
				//tag vorher erzeugen:
				$vTag = $i-1;$vMonat = $month;$vJahr = $year;
				//tag vorher berprfen:
				if ($vTag < 1) {
					$vMonat= $month - 1;
					if ($vMonat < 1) {
						$vMonat = 12;
						$vJahr = $year-1;
					} //ende if monat zu klein
					$vTag = getNumberOfDays($vMonat,$vJahr);
				} //ende if tag zu klein
				//status-array des vor-tages holeN:					
				$vStatus = getStatus($zimmer_id,$vTag,$vMonat,$vJahr,$link);			
				if (!(isset($vStatus)) && isset($status)){
					//am vorherigen tag ist es frei:				
					?>
	<table border="0" cellspacing="0" cellpadding="0" width="100%" height="25" align="center">
	  <tr>
		<td class="<?php echo("frei"); ?>" align="right" width="10"><? echo($i."."); ?></td>
		<td class="<?php echo(parseStatus($status[0])); ?>" align="right" width="10">&nbsp;</td>
	  </tr>
	</table>
	<?php
				} //ende if tag vorher frei
				else { //tag ausgeben:
					echo($i.".");
				} //ende else tag ausgeben
			} //ende else schauen ob tag vorher frei						
			
		} //ende else
	
}//ende printResAdmin	
	
	//falls keine zimmer_id ausgewhlt wurde, das erste gefundene zimmer anzeigen:
	if (empty($zimmer_id) || $zimmer_id == "") {	
	$query = "
			select 
			PK_ID 
			from
			Rezervi_Zimmer
			where
			FK_Unterkunft_ID = '$unterkunft_id' 
			ORDER BY 
			Zimmernr";

  		$res = mysql_query($query, $link);
  		if (!$res) {
  			echo("Anfrage $query scheitert.");
		}
		else {
			$d = mysql_fetch_array($res);
			$zimmer_id = $d["PK_ID"];
		}
	}
	
	
	//falls kein jahr ausgewhlt wurde, das aktuelle jahr verwenden:
	if ($jahr == "" || empty($jahr)){	
		$jahr = getTodayYear();	
		//ich brauche fr jahr einen integer:
		$jahr+=1;$jahr-=1;
	}
	
//---------------------------------------------------------------
//funktion zum anzeigen eines kalendermonats:
function showYear($month,$year,$unterkunft_id,$zimmer_id,$sprache,$link){ ?>
		<table  border="0" cellspacing="0" cellpadding="0" class="tableColor">
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Jnner",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,1,$year,$link);?> class="<?php echo($statusString); ?>" width="20"><?php printResAdmin($zimmer_id,$i,1,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Februar",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=28; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,2,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,2,$year,$link); ?></td>
			<?php } ?>
			<?php $anzahlTage = getNumberOfDays($month,$year);
					if ($anzahlTage == 29) { ?>
			<td <?php $statusString = getStatusString($zimmer_id,29,2,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,29,2,$year,$link); ?></td>
			<td class="tableColor">&nbsp;</td>
			<td class="tableColor">&nbsp;</td>
			<?php } //ende if
				else { ?>
			<td class="tableColor">&nbsp;</td>
			<td class="tableColor">&nbsp;</td>
			<td class="tableColor">&nbsp;</td>
			<?php } //ende else ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Mrz",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,3,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,3,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("April",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=30; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,4,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,4,$year,$link); ?></td>
			<?php } ?>
			<td class="tableColor">&nbsp;</td>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Mai",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,5,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,5,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Juni",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=30; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,6,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,6,$year,$link); ?></td>
			<?php } ?>
			<td class="tableColor">&nbsp;</td>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Juli",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,7,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,7,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("August",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,8,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,8,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("September",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=30; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,9,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,9,$year,$link); ?></td>
			<?php } ?>
			<td class="tableColor">&nbsp;</td>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Oktober",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,10,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,10,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("November",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=30; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,11,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,11,$year,$link); ?></td>
			<?php } ?>
			<td class="tableColor">&nbsp;</td>
		  </tr>
		  <tr>
			<td class="tableColor"><?php echo(getUebersetzung("Dezember",$sprache,$link)); ?></td>
			<?php for ($i=1; $i<=31; $i++){ ?>
			<td <?php $statusString = getStatusString($zimmer_id,$i,12,$year,$link);?> class="<?php echo($statusString); ?>"><?php printResAdmin($zimmer_id,$i,12,$year,$link); ?></td>
			<?php } ?>
		  </tr>
		</table>
<?php }//ende funktion  
?>
