<?php session_start();

/*   
	reservierungsplan
	anzeige des kalenders
	author: christian osterrieder utilo.net		
	
	dieser seite muss bergeben werden:
	Unterkunft PK_ID ($unterkunft_id)
*/

//variablen initialisieren:
$unterkunft_id = $_SESSION["unterkunft_id"];
$passwort = $_SESSION["passwort"];
$benutzername = $_SESSION["benutzername"];
$sprache = $_SESSION["sprache"];
if (isset($_POST["zimmer_id"])){
	$zimmer_id = $_POST["zimmer_id"];
}
$monat = $_POST["monat"];
$jahr = $_POST["jahr"];	
$sprache = $_SESSION["sprache"];

//datenbank ffnen:
include_once("../../conf/rdbmsConfig.php");

//funktions einbinden:
include_once("../../include/unterkunftFunctions.php");
include_once("../../include/zimmerFunctions.php");
include_once("../../include/datumFunctions.php");
include_once("../../include/reservierungFunctions.php");
include_once("../../include/gastFunctions.php");
include_once("../../include/benutzerFunctions.php");
include_once("../../include/uebersetzer.php");
include_once("./rightHelper.php");	
include_once("../../leftHelper.php");	


//falls keine zimmer_id ausgewhlt wurde, das erste gefundene zimmer anzeigen:
if (empty($zimmer_id) || $zimmer_id == "") {	
	$zimmer_id = getFirstRoom($unterkunft_id,$link);		
}
$_SESSION["zimmer_id"] = $zimmer_id;
//falls kein jahr ausgewhlt wurde, das aktuelle jahr verwenden:
if ($jahr == "" || empty($jahr)){	
$jahr = getTodayYear();	
//ich brauche fr jahr einen integer:
$jahr+=1;$jahr-=1;
}

//falls kein monat ausgewhlt wurde, das aktuelle monat verwenden:
if ($monat == "" || empty($monat)){	
	$monat = parseMonthNumber(getTodayMonth());	
	//und frs monat einen integer
	$monat-=1;$monat+=1;
}

?>
<?php include_once("../templates/headerA.php"); 

?>
<link href="../../templates/stylesheets.php" rel="stylesheet" type="text/css">
<?php 
	include_once("../templates/headerB.php"); 

?>
<script language="JavaScript" type="text/javascript" src="./rightJS.js">
</script>
<?php include_once("../templates/bodyA.php"); 

?>
<?php		
	//passwortprfung:	
	if (checkPass($benutzername,$passwort,$unterkunft_id,$link)){ 

	?>

<table width="100%" border="0" class="tableColor">
  <tr>  
    <td class="standardSchriftBold"><?php echo(getUebersetzung("Belegungsplan",$sprache,$link)); ?> <? echo($monat."-".$jahr); ?>, 
      <?php echo(getUebersetzung("fr",$sprache,$link)); ?> <?php echo(getUebersetzungUnterkunft(getZimmerArt($unterkunft_id,$zimmer_id,$link),$sprache,$unterkunft_id,$link)); ?> 
      <?php echo(getUebersetzungUnterkunft(getZimmerNr($unterkunft_id,$zimmer_id,$link),$sprache,$unterkunft_id,$link)); ?></td>
  </tr>
</table>
<br>
<table width="100%" border="0" class="table">
  <tr> 
    <td colspan="2"> 
      <?php
			//kontrolle ob monat nicht 0 oder 13:
			if ($monat > 12){
				$monat = 1;
				$jahr= $jahr + 1;
			} 
			elseif ($monat < 1){
				$monat = 12;
				$jahr= $jahr - 1;
			}
			//monat ausgeben:
			showMonth($monat,$jahr,$unterkunft_id,$zimmer_id,$sprache,$link);							 			
		?>
    </td>
  </tr>
  <tr valign="middle"> 
    <td> 
      <?php 				
		$mon = $monat-1;
		$jah = $jahr;
		if ($mon < 1){
			$mon = 12;
			$jah = $jah - 1;
		}																			 																			
		?>
      <form action="./right.php" method="post" name="monatZurueck" target="_self" id="monatZurueck">
        <div align="right">           
          <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo $zimmer_id ?>">
          <input name="monat" type="hidden" id="monat" value="<? echo($mon); ?>">
          <input name="jahr" type="hidden" id="jahr" value="<? echo($jah); ?>">
          <input name="zurueck" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" onClick="updateLeft(<?php echo(($mon).",".($jah)).",".($zimmer_id); ?>,0);" id="zurueck" value="<?php echo(getUebersetzung("ein Monat zurck",$sprache,$link)); ?>">
        </div>
      </form></td>
    <td> 
      <?php		
		$mon = $monat+1;
		$jah = $jahr;
		if ($mon > 12){
			$mon = 1;
			$jah = $jah + 1;
		}																														
		?>
      <form action="./right.php" method="post" name="monatWeiter" target="_self" id="monatWeiter">
        <input name="zimmer_id" type="hidden" id="zimmer_id" value="<? echo $zimmer_id ?>">
        <input name="monat" type="hidden" id="monat" value="<? echo($mon); ?>">
        <input name="jahr" type="hidden" id="jahr" value="<? echo ($jah); ?>">
        <input name="weiter" type="submit" class="button200pxA" onMouseOver="this.className='button200pxB';"
       onMouseOut="this.className='button200pxA';" onClick="updateLeft(<?php echo(($mon).",".($jah).",".($zimmer_id)); ?>,1);" id="weiter" value="<?php echo(getUebersetzung("ein Monat weiter",$sprache,$link)); ?>">
      </form></td>
  </tr>
 
</table>
<?php 
} //ende passwortprfung 
else{
 echo(getUebersetzung("Bitte Browser schlieen und neu anmelden - Passwortprfung fehlgeschlagen!",$sprache,$link));
}
?>
</body>
</html>
